Windows Media Encoder

Microsoft® Windows Media® Encoder 9 Series x64 Edition is a powerful production tool for converting both live and prerecorded audio and video into Windows Media files or streams. The following sections introduce conceptual information about the encoding process and provide steps for using Windows Media Encoder.

  • Getting started. Explains how you can set up an encoding session in a few short steps by using quick starts or the New Session Wizard. Also describes changes to Windows Media Encoder, describes the system requirements, and provides information about the various panels that make up the user interface.
  • Concepts. Provides general information about working with the encoder.
  • Configuring sources. Provides information about the input sources supported by the encoder, including files, devices, screens, and script commands.
  • Customizing a session. Describes how to configure a new encoding session or customize an existing session to meet your needs.
  • Output options. Describes the output options available to you when encoding: encoding to a file or broadcasting a live event (by using either push or pull distribution).
  • System configuration options. Describes system configuration options, including security for the encoding computer, running multiple instances of the encoder on a computer, batch encoding, and the steps you can take to achieve optimal system performance.
  • Frequently asked questions and troubleshooting. Provides a link to the Microsoft Web site where you can find suggestions for resolving issues that might arise when using the encoder.
  • Technical support options. Lists phone numbers and Web sites that you can use if you require additional support.
  • Accessibility for people with disabilities. Provides information about features, products, and services that make Windows Media Encoder more accessible for people with disabilities.
  • Glossary. Provides definitions and terms related to the encoder.
© 2005 Microsoft Corporation. All rights reserved.


Getting started

This section includes information about how you can set up an encoding session in a few short steps by using quick starts or the New Session Wizard. It also includes information about what is new in this version of Windows Media Encoder, feature requirements, hardware and software requirements, and describes the various panels that make up the encoder interface.

Related topics

  • Windows Media Encoder
  • Encoding with quick starts or the New Session Wizard
  • What's new
  • Feature requirements
  • Hardware and software requirements
  • About encoder views
  • About the encoder utilities
  • Documentation conventions


Encoding with quick starts or the New Session Wizard

Before encoding content, you must set up an encoding session. The easiest way to do so is to use quick starts or the New Session Wizard. Quick starts are session files that are included with Windows Media Encoder. They are designed to address common encoding scenarios and already include most of the settings you need to begin encoding without delay. All you need to do is provide specifics about your content, such as file names or server names. You can also use the New Session Wizard, which walks you through the steps necessary to set up four of the most common encoding scenarios.

The quick starts and wizard are available from the New Session dialog box (if enabled) that is displayed when you first open the encoder or from the main encoder window by clicking New Session on the toolbar.

After you set up your encoding session, you are ready to encode content. If you plan to run the same session again, you can save the settings to a session file and then use the session at a later date. Session files are saved with a .wme extension.

Related topics

  • Getting started
  • Using quick starts to encode
  • Using the New Session Wizard to encode
  • About sessions
  • To open an existing session
  • To save a session


Using quick starts to encode

Quick starts are session files that are included with Windows Media Encoder. They are designed to address common encoding scenarios and already include most of the settings you need to begin encoding without delay. All you need to provide is specifics about your content, such as file names or server names.

The available quick starts include:

  • Capture live content for local playback. Captures live content from audio and video devices and encodes it to a file. You can distribute the content so users can download and play it locally.
  • Capture live content for streaming. Captures live content from audio and video devices and encodes it to a Windows Media file.
  • Convert film content to video. Converts file-based content that originated on film to Windows Media Format so users can download and play it locally.
  • Broadcast company meeting. Pushes a stream to a publishing point on a server running Microsoft Windows Media Services.

If you have a session that you want to use frequently, you can add it to the list of quick starts.

Note image Note

  • To launch the quick starts, on the toolbar, click New Session, click the Quick Starts tab, and then click a quick start.

Related topics

  • Encoding with quick starts or the New Session Wizard
  • To create a custom quick start
  • About CBR or VBR encoding


Using the New Session Wizard to encode

The New Session Wizard walks you through the steps necessary to set up four of the most common encoding scenarios. The four common encoding scenarios are:

  • Broadcast a live event. Captures audio or video from devices installed on your computer and then broadcast the content live, either by pushing the stream to a server running Microsoft Windows Media Services or by enabling Windows Media servers and players to pull the stream directly from the encoder.
  • Capture audio or video. Captures audio or video from devices installed on your computer and then convert the captured content to a Windows Media file for later distribution.
  • Convert file. Converts an audio or video file to Windows Media Format for later distribution.
  • Capture screen. Captures screen images, including mouse pointer movements, on the computer. You can capture the entire screen, a region of the screen, or a specific window.

To change session properties, you can either run the New Session Wizard again or use the Properties panel to edit your settings. If you plan to reuse the session, save your settings in a session file.

Note image Note

  • To open the New Session Wizard, on the toolbar, click New Session, and then click one of the four wizards. You can use Custom session to set up a custom encoding session.

Related topics

  • Encoding with quick starts or the New Session Wizard
  • To save a session


What's new

Windows Media Encoder x64 Edition 9 Series contains the enhancements that are included with the 32-bit version of Windows Media Encoder 9 Series as well as the updates listed below. This section summarizes the changes to the encoder for this release.

  • The Digital Rights Management (DRM) Protect Utility provides a simple way of applying DRM protection to encoded files.
  • New codecs have improved the quality of encoded audio and video content. The VC-1 video codec is the SMPTE standard that delivers high definition quality with highly efficient compression rates.

Related topics

  • Getting started
  • Using quick starts to encode
  • Understanding codecs
  • About CBR or VBR encoding
  • Sourcing from devices
  • Sourcing from multichannel audio files
  • Using digital rights management to protect content
  • Broadcasting content live
  • About the encoder utilities


Feature requirements

The following table provides information about the Windows Media Encoder features that have specific Microsoft Windows Media Player, operating system, or codec requirements.

Feature | Windows Media Player |  |  | Operating systems | Codecs
 | 6.4 | 7.1/Windows XP | 9 Series |  |
Interlaced output video |  |  | X | Microsoft Windows XP | Windows Media Video 9
Nonsquare pixel output |  |  | X |  |
Multiple-resolution MBR content |  |  | X |  |
MBR audio |  |  | X |  |
DRM support | X | X | X |  |
Multichannel audio |  |  | X | Microsoft Windows XP | Windows Media Audio 9 Professional or Windows Media Audio 9 Lossless
High-resolution audio (24-bit, 96 kHz)1 |  |  | X | Microsoft Windows XP | Windows Media Audio 9 Professional
Dynamic range control |  |  | X | Microsoft Windows XP | Windows Media Audio 9 Professional
CBR encoding (one- or two-pass) | X | X | X |  | See the following table
Quality-based VBR |  | X | X |  | See the following table
Bit rate-based VBR |  | X | X |  | See the following table
Peak bit rate-based VBR |  | X | X |  | See the following table

1 Earlier players or operating systems will render 16-bit, 48-kHz content

Note that content encoded with the Windows Media Audio and Video 9 Series codecs (except for the Windows Media Audio 9 codec) is not supported in Windows Media Player version 6.4. For Windows Media Player version 7.1 and Windows Media Player for Windows XP, content encoded with any of the codecs requires users to download the codec before playback. Content encoded using VBR encoding with the Windows Media Audio 9 codec may have glitches or silence during playback in Windows Media Player version 6.4. For Windows Media Player version 7.1 and Windows Media Player for Windows XP, content encoded with the Windows Media Audio 9 codec does not require a user to download the codec.

The following table lists the supported encoding methods for the codecs that are included with the encoder.

Codec | One-pass CBR | Two-pass CBR | Quality-based VBR | Bit rate-based VBR | Peak bit rate-based VBR
Windows Media Audio 9 Professional | Yes | Yes | Yes | Yes | Yes
Windows Media Audio 9 Lossless | No | No | Yes | No | No
Windows Media Audio 9 | Yes | Yes | Yes1 | Yes1 | Yes1
Windows Media Audio 9 Voice | Yes | No | No | No | No
Windows Media Video 9 | Yes | Yes | Yes | Yes | Yes
Windows Media Video 9 Screen | Yes | No | Yes | No | No
VC-1 | Yes | Yes | Yes | Yes | Yes

1 Some glitches or silence may occur during playback in Windows Media Player version 6.4.

Related topics

  • Getting started
  • About CBR or VBR encoding


Hardware and software requirements

You can find up-to-date information about hardware and software requirements at several Web sites:

  • For information about system requirements, see the system requirements page at the Microsoft Web site.
  • For a list of supported audio and video capture cards, see the hardware providers page at the Microsoft Web site.
  • For a list of supported portable devices, see the portable devices page at the Microsoft Web site.

Related topics

  • Getting started


About encoder views

The main window of Windows Media Encoder has numerous panels that provide information about the current session. The panels that are displayed when you encode depend on the type of content being encoded, the number of sources set up for the current session, and your personal preferences. You can display additional panels or hide the ones that are displayed. Any changes you make to the window are saved between sessions.

  • Properties panel. Includes properties that you can use to adjust the settings related to the current session or to set up a custom session.
  • Video panel. Displays the content you are encoding. Depending on the type of content, you can customize the window to show just the pre-encoded content, the encoded content, or both. In some instances, the source content or encoded output is not displayed during encoding.
  • Sources panel. Lists each source in the current session. You can switch between sources while encoding by clicking the appropriate source button.
  • Audio panel. Contains controls for monitoring and adjusting the volume of the audio stream you are encoding.
  • Device panel. Appears when you have a device connected to your computer either through an IEEE 1394 port or a COM port using a video tape recorder (VTR) that supports the Sony RS422 protocol. You can control the play, pause, stop, fast-forward, rewind, and eject functions of your device in this panel. You can also create an edit decision list (EDL) to automatically encode specific time segments of your content on one or more video tapes.
  • Monitor panel. Contains status information about the session.
  • Script panel. Appears if you enabled scripts as a source type when you set up the current session. You can insert a script command into the stream during encoding from this panel.

To display or hide a panel, on the View menu, click the panel you want to display or hide.

Related topics

  • Getting started


About the encoder utilities

Four utilities are included with Windows Media Encoder:

  • Windows Media Profile Editor. Use to create custom profiles for use in encoding sessions.
  • Windows Media File Editor. Formerly called the Windows Media ASF Indexer, you can use this tool to edit a Windows Media file. For example, you can trim the start and end points of the file; add markers, and script commands; control the dynamic range of audio content; and, for multichannel audio files, control how the channels are folded down for stereo playback.
  • Windows Media Stream Editor. You can use this tool to split or combine streams in existing Windows Media files to create a file. For example, you can split an MBR file into multiple single-bit-rate files. Or, you can create multiple files, each with the same video stream but a different audio stream (for example, to create a single file with multiple languages).
  • Windows Media Encoding Script. Formerly called the Windows Media Encoding Utility, you can use this command-line utility (Wmcmd.vbs) to encode and broadcast content. This utility is installed in the same location as the encoder, which is C:\Program Files\Windows Media Components\Encoder by default.

Related topics

  • Getting started
  • To access an encoder utility


To access an encoder utility

  1. Click Start, point to Programs, point to Windows Media, and then point to Utilities.
  2. Click the utility you want to use.

Note image Note

  • You can access help for the Windows Media Encoding Script from the same location.

Related topics

  • About the encoder utilities


Documentation conventions

The following conventions are used in this Help system.

This convention | Indicates
Bold | Text that appears in the user interface or should be typed into the user interface exactly as shown.
Italics | Placeholder text you should replace with text appropriate to your environment.
Code | Sample code you should replace with code appropriate to your environment.

Related topics

  • Getting started


Concepts

This section provides general information about working with Windows Media Encoder 9 Series.

Related topics

  • Windows Media Encoder
  • Understanding codecs
  • About sessions
  • Comparing Windows Media servers and Web servers
  • About CBR or VBR encoding
  • About one- or two-pass encoding


Understanding codecs

Uncompressed audio and video content can consume a lot of bandwidth when streaming or create large files. By compressing the content, it can be broadcast over common Internet bandwidths or saved to a Windows Media file of a reasonable size. You can compress content by applying compression algorithms to the data, taking into account the desired output quality and available bandwidth. Before the content is played, it is decompressed by using decompression algorithms. These compression and decompression algorithms are called codecs. The following table provides more detailed information about the codecs available in Windows Media Encoder.

Codec | Description
Windows Media Audio 9 Professional | Provides a full surround sound experience and dynamic range control. Intelligently folds down multichannel audio to 2 (stereo) or 1 (mono), depending on the speaker configuration of the playback device. Intended for data rates of 128 to 768 Kbps.
Windows Media Audio 9 Lossless | Provides lossless encoding of audio content. Supports multichannel audio encoding and dynamic range control.
Windows Media Audio 9 | Provides a 20 percent improvement in compression over the Windows Media Audio 8 codec. Supports VBR audio encoding.
Windows Media Audio 9 Voice | Offers superior quality for audio content with a voice emphasis. Provides for mixed-mode encoding of voice and music. Intended for playback at bit rates at 20 Kbps or lower.
Windows Media Video 9 | Creates high-quality video for streaming, download-and-play, and physical format delivery scenarios. Provides a 15 to 50 percent improvement in compression over the Windows Media Video 8.1 codec, with the more significant improvement occurring at higher bit rates. Enables playback of interlaced content on televisions and set-top boxes.
Windows Media Video 9 Screen | Provides improved handling of shaded images, screen motion, and scrolling for screen captures. Supports one-pass CBR and VBR encoding with no frame dropping. This codec is fully optimized for both streaming and download-and-play scenarios.
VC-1 Video | Provides the highest quality with more flexibility. VC-1 requires less computational power and can be decoded at full 1080i/p resolution on a typical PC. The VC-1 advanced profile delivers HD content at bit rates as low as 6 Mbps to 8 Mbps.

Note image Note

  • In some instances, the Sipro Labs ACELP codec appears in the list of codecs. For example, if you import a profile that was created by using Windows Media Encoder version 7.1. If this occurs, it is recommended that you use the Windows Media Audio 9 Voice codec instead.

Related topics

  • Concepts


About sessions

Before you can encode, you must set up an encoding session. As part of setting up the session, you must do the following:

  • Specify the source of your audio or video content. You can source from devices, files, or both devices and files. You can also capture screens directly from your desktop.
  • Choose the output option. Select whether to broadcast the content or encode it to a file. If you broadcast the content, you can push the stream to a Windows Media server, and you can enable Windows Media servers and players to pull the stream from the encoder. You can also choose to archive a copy of the broadcast for later use.

In addition, you should check compression and quality settings before you encode. Default settings are applied, but it may be necessary to adjust the settings to meet your needs. For example, if you are planning to distribute your content for download-and-play on a computer, you may want to use bit rate-based VBR encoding and set the video and audio quality level to the higher bit rate.

After you have identified the source of your content and specified the output, you have a number of options for customizing a session. For example, you can optimize audio and video to improve the quality of the encoded content.

After configuring the session to meet your needs, you can start encoding. If you want to run the same session again, you can save the session to a session file either before or after you encode.

Note image Note

  • It is not necessary to create a session each time you encode. The encoder includes quick starts and the New Session Wizard, which address common encoding scenarios.

Related topics

  • Concepts
  • Configuring sources
  • Output options
  • Customizing a session
  • Encoding with quick starts or the New Session Wizard
  • To save a session


Comparing Windows Media servers and Web servers

You can deliver content from a server running Windows Media Services or from a Web server to a player. The server and player can be either on the Internet or an intranet, and they can be separated by a firewall. Although a Windows Media server is designed specifically for streaming Windows Media-based content, a standard Web server is not. If you decide to use a Web server, you should be aware of the differences in the way the content is delivered, which can affect the quality of the playback.

Windows Media servers

A Windows Media server meters the delivery of packets according to feedback information it receives while sending a stream to a player. When a player receives packets in this way, the presentation is much more likely to be smooth. Because bandwidth use is controlled, more users can connect concurrently to your site and receive streams that are free of interruptions.

If you plan to deliver your content as a unicast stream from a Windows Media server, you can encode a multiple-bit-rate (MBR) stream. This provides users with better quality content during times of network congestion. When MBR content is received by a player, only the bit rate that is the most appropriate for network bandwidth conditions is streamed. The process of selecting the appropriate stream is handled by the Windows Media server and the player and is invisible to the user.

When streaming single-bit-rate streams or files, a Windows Media server is designed to handle network congestion smoothly. If congestion occurs during the broadcast, the stream is "thinned", which means that the frame rate is reduced. If this is insufficient, the video portion of the stream is frozen and only the audio portion is streamed.

Web servers

A Web server is designed to download as much data as it can, as quickly as possible. This is the preferred method for sending packets containing static images, text, and Web page script, but it is not the best method for sending packets containing streaming media. Streaming media should be delivered in real time, not in large bursts, and the player should receive packets just ahead of rendering them.

Web servers do not support MBR streams. When a file streams from a Web server, the quality of the delivery is not monitored and no adjustment to the bit rate can be made. Web servers cannot use the preferred delivery protocol, User Datagram Protocol (UDP), so the delivery of a stream is more likely to be interrupted by periods of silence while the player buffers data. In addition, Web servers do not support live broadcasts and multicast streams.

Note image Note

  • Windows Media Services 9 Series in Windows Server 2003 includes several features, called Fast Streaming, which can combine some of the advantages of downloading and streaming. For more information about Fast Streaming, see Windows Media Services Help.

Related topics

  • Concepts
  • Output options


About CBR or VBR encoding

Using Windows Media Encoder, you can encode audio and video content at either a constant bit rate (CBR) or a variable bit rate (VBR).

CBR encoding

CBR encoding is designed to work most effectively in a streaming scenario. With CBR encoding, the bit rate remains fairly constant and close to the target bit rate over the course of the stream, within a small window of time set by the buffer size. The disadvantage of CBR encoding is that the quality of the encoded content is not constant. Because some pieces of content are more difficult to compress than others, some parts of a CBR stream are of lower quality than others. In addition, CBR encoding results in inconsistent quality from one stream to the next. In general, quality variations are more pronounced at lower bit rates.

VBR encoding

Use VBR encoding when you plan to distribute the content for downloading and playing either locally or on a device that has a constrained reading speed, such as a CD or DVD player. (You can also use the peak VBR encoding mode when you plan to stream the content.) VBR encoding is most advantageous when encoding content that is a mix of simple and complex data, for example, a video that switches between slow and fast motion. With VBR encoding, fewer bits are automatically allocated to less complex portions of the content, leaving enough bits available to produce good quality for more complicated ones. This means that content that has consistent complexity (for example, a "talking head" news story) would not benefit from VBR encoding. When used on mixed content, VBR encoding produces a much better encoded output given the same file size when compared to CBR encoding. In some cases, you can end up with a VBR-encoded file that has the same quality as a CBR-encoded file in half the file size.

Encoding mode options

With CBR encoding, you can use one- or two-pass encoding. You have three VBR encoding options: quality-based VBR (one-pass), bit rate-based (two-pass), and peak bit rate-based VBR (two-pass). Not all codecs support two-pass CBR encoding or VBR encoding.

Related topics

  • Concepts
  • Using CBR encoding
  • Using VBR encoding
  • About one- or two-pass encoding
  • Feature requirements


About one- or two-pass encoding

With Windows Media Encoder, you can do one- or two-pass encoding, either with CBR or VBR encoding. (The quality-based VBR encoding mode is one-pass; the bit rate-based and peak bit rate-based VBR encoding modes are two-pass.)

With one-pass encoding, the content passes through the encoder once, and compression is applied as the content is encountered. With two-pass encoding, the content is analyzed during the first pass, and then encoded in the second pass based on the data gathered in the first pass. Two-pass encoding can result in better quality content because the encoder takes its time to find the optimal combination of bit rate, frame rate, buffer size, and image quality based on the scene composition. However, two-pass encoding takes longer because the encoder goes through all of the content twice.

Two-pass encoding is not available in the following situations:

  • The stream is broadcast
  • There are multiple sources in a session
  • The source is set to loop
  • Script commands are included in the stream
  • Source content is from devices, unless you have enabled device control
  • The source file has a .bmp file name extension

In addition, two-pass encoding is only available with certain codecs. For a list of the codecs that support two-pass encoding, see Feature requirements.

Note image Note

  • If you are using two-pass encoding, you will not see the output video in the encoder during the first pass.

Related topics

  • Concepts
  • About CBR or VBR encoding
  • Enabling device control


Configuring sources

Using Windows Media Encoder, you can encode live content in real time, stored content, or capture screens. Real-time sources of content include anything that you can plug into your audio or video card, including a CD player, microphone, VCR, video camera, video player, or television. Stored sources are audio or video files. You can also capture screens directly from your desktop, and insert script commands while encoding.

Keep in mind that the higher the quality of the source content, the higher the quality of the output content. This means that you should start with the highest quality source file or, if sourcing from devices, set your device to capture the highest quality possible.

When configuring a source, you first identify the source types (audio, video, or script) that make up the source. A source must consist of at least one audio or video source type. You can add an unlimited number of sources to an encoding session, either before or after encoding begins, but each subsequent source is based on the combination of source types you created in the session. For example, if your first source contained only audio, then all subsequent sources in the session are based on audio only. For multisource sessions, it is recommended that you configure your first source to use all three source types. If additional sources do not use a source type, you can encode a blank stream for that source type.

Related topics

  • Windows Media Encoder
  • Sourcing from a file
  • Sourcing from multichannel audio files
  • Sourcing from devices
  • Capturing screens
  • Inserting script commands
  • Using multiple sources in a session


Sourcing from a file

Using Windows Media Encoder, you can source from files with .wma, .wmv, .asf, .avi, .wav, .mpg, .bmp, and .jpg file name extensions. (Sourcing from a file with a .mpg file name extension requires a compatible MPEG-2 decoder on the encoding computer.)

If you are encoding a Windows Media file, any header attributes associated with the file (for example, markers, script commands, and so on) are lost in the process. You can use Windows Media File Editor to add the following attributes back to the file: title, author, copyright, and description.

When sourcing from a file, you can trim the start and end times of the file to ensure that you encode only the part of the file you want.

For more information about obtaining an MPEG-2 decoder, see the Microsoft Web site.

Note image Note

  • Files that contain images with odd-sized dimensions are not supported. For example, an image that is 300 x 321 pixels is not supported, but an image that is 300 x 320 pixels is supported.

Related topics

  • Configuring sources
  • To source from a file


To source from a file

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click File.

    -or-

    Click Both device and file to source audio and video from two different files.

  3. To locate the source file click Browse.
  4. If you want to trim the start or end of the file, click Mark In/Out. Only the remaining portion of the file is encoded.
  5. If you want to encode only the audio or only the video portion of a file, clear either the Video or Audio check box.

Note image Note

  • You can also drag a source file to the encoder.

Related topics

  • Sourcing from a file


Sourcing from multichannel audio files

Using Windows Media Encoder, you can encode multichannel audio, which means you can encode audio for a surround sound playback in six (5.1 audio) or eight (7.1 audio) channels. The format is specifically designed for CD, DVD, high definition television, and digital cinema audio programs. Your content source must be one of the following:

  • A single 6-channel or 8-channel file that has a WAVE_FORMAT_EXTENSIBLE format. For more information, see the Microsoft Web site. If you are sourcing from an 8-channel file, it is recommended that the sampling rate and bits per sample of the source file and the encoded content match.
  • Six mono channel .wav files. To create the files, use an audio editing program to fold down your audio to six files, one for each channel. When you set up your source in the encoder, you specify which channel each file is associated with. Each .wav file cannot exceed 2 gigabytes (GB) in size. This option is not available with 7.1 audio.
  • An existing multichannel Windows Media Audio file. Use an existing file to encode the file at a different bit rate. It is not possible to encode an existing multichannel Windows Media Audio file if the encoder is on a computer running Windows 2000.

You must use either the Windows Media Audio 9 Professional codec or the Windows Media Audio 9 Lossless codec and an audio format that supports multichannel encoding when encoding multichannel content. In addition, the user playing your content must have Microsoft Windows XP and a player that is based on the Windows Media Format 9 Series Software Development Kit (SDK). Otherwise, the audio will be folded down automatically to two channels for stereo speakers.

The encoder automatically folds the channels down to two for playback with stereo speakers. If you are encoding 5.1 audio, you can control the fold-down distribution between the surround, center, and subwoofer channels on the Processing tab of the Properties panel. If you encoded the content to a file, you can also use Windows Media File Editor to control the fold-down distribution in the output file.

Related topics

  • Configuring sources
  • To source from multichannel audio files
  • To source from a file


To source from multichannel audio files

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click Devices.
  3. In Audio, click Multichannel WAV Source, and then click Configure.
  4. For each channel, enter the source .wav file.
  5. Click the Compression tab.
  6. In Destination, click either File download, Hardware devices, Windows Media server, or Web server, depending on the playback scenario.
  7. In Audio, click Multichannel audio.
  8. Click Edit, and then click the bit rate tab.
  9. In Audio format, click the 5.1 or 7.1 audio format you want to use.

Note image Note

  • The encoder automatically folds the channels down to two for playback with stereo speakers. If you are encoding 5.1 audio, you can modify the default fold-down distribution on the Processing tab.

Related topics

  • Sourcing from multichannel audio files


Sourcing from devices

When you source content from devices, you must first choose the audio or video devices you want to use. After choosing the devices, you can set their properties directly from the encoder. The properties for some devices, such as audio and video cards, are global and apply not only to all sources in your encoding session but to all programs on your computer. (For example, brightness, contrast, capture dimensions, and audio mixer settings.)

You can use devices and capture cards only once in a session. For example, if you create two sources—one source is a live event in which a speaker is introducing a new video, and the second source is the video—you need a separate card and device for each source.

Some devices can be controlled directly from the encoder. If you have enabled device control, you can set up an edit decision list (EDL) in which you identify the portions of tape that you want to encode.

You can configure audio and video device properties by using the New Session Wizard, the Properties panel, or the Configure Devices command on the Tools menu. Devices must already be installed on your computer to configure them in the encoder. You cannot use the encoder to add or remove hardware; use Control Panel instead.

If you have installed a supported TV tuner card, you can change the TV channels by using the encoder.

Related topics

  • Configuring sources
  • Enabling device control
  • Setting up an EDL
  • To source from devices
  • To change the TV channel being encoded


To source from devices

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click Devices.
  3. In Video and Audio, click the devices you want to source from.

Related topics

  • Sourcing from devices


To change the TV channel being encoded

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click Devices.
  3. In Video, click the TV tuner card you want to source from.
  4. Click Configure.
  5. In Channel, type the channel you want to encode.
  6. In Inputs, select the tuner option, and then click OK.
  7. In Audio, click the capture card that you have configured to use with the TV tuner card.

Related topics

  • Sourcing from devices


Enabling device control

By using the device control feature, you can run certain types of devices directly from the encoder. Device control enables you to control the play, pause, stop, fast-forward, rewind, and eject functions of your device from the encoder. To enable device control, the device must be connected to an IEEE 1394 digital video port, or you can use a video tape recorder (VTR) that supports the Sony RS422 protocol and that is connected through a COM port. You can also use the built-in edit decision list (EDL) of the device control feature to arrange and encode your clips in any order.

When you have enabled device control, you can use two-pass encoding if you have done the following:

  • Chosen to encode to a file
  • Chosen to store content temporarily
  • Set up an EDL for the content

Note image Note

  • If a device you are using in the session does not appear in the Configure Devices dialog box, close the dialog box, click Apply, and then open the dialog box again.

Related topics

  • Sourcing from devices
  • Setting up an EDL
  • To store captured content temporarily
  • To enable device control


To enable device control

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click Devices.
  3. In Video and Audio, click the device you want to source from.

    If the device does not appear in the list, check that the device is turned on. It may be necessary to quit and restart the encoder after turning the device on.

  4. Click Apply.
  5. On the Device panel, click Setup.
  6. In the list, select the device or COM port through which the device is connected, and then click OK.
  7. Use the controls on the panel to control the device.

Note image Note

  • To control a digital device from the encoder, the device must be set to VTR mode; VTRs must be set to TC mode.

Related topics

  • Enabling device control


Setting up an EDL

If you have enabled device control, you can specify, by time stamp, the exact place within your audio or video content that you want encoding to begin and end. To do so, you must create an edit decision list (EDL), which identifies the portions of tape you want to encode.

It is not recommended that you use an EDL for a broadcast because the encoder requires extra time to seek to the EDL points during encoding. During a broadcast, this could cause excessive buffering on a player.

You can add as many EDL entries as you want in any order—not necessarily in the order in which they occur in the tape. You can also set up an EDL that sources from multiple tapes. During the encoding session, the encoder will prompt you when it is time to change the tape.

You should use a prestriped tape when setting up an EDL. To prestripe a tape, you can record the tape continuously from beginning to end when you first buy the tape. This ensures that the time code in the tape is continuous. If the tape is not prestriped, then the device will generate a new time code every time you set up an EDL for the device.

Related topics

  • Sourcing from devices
  • Enabling device control
  • To set up an EDL


To set up an EDL

  1. Set up a device control session that encodes to a file.
  2. On the View menu, click Monitor panel, and then click the EDL tab.
  3. Click Edit EDL.
  4. In the Device area, click Play to begin playing the tape.

    You can also begin playing the tape at a specific point by using other playback controls, such as the Seek to and Fast forward buttons.

  5. When you find the frame you want, click Mark In to specify that frame as the starting point of the clip.

    The tape will continue playing.

  6. Click Mark Out at the frame you want to serve as the end point of the clip.
  7. If you are using several tapes, provide a unique ID (such as 1, 2, 3, or A, B, C) in Tape ID.
  8. Click Add EDL Entry to add the clip to the edit decision list.
  9. To edit the clip, click it in the list, and then click the Edit button.
  10. Repeat steps 4 through 8 to add more clips.
  11. When you are satisfied with the list, click OK and then, on the toolbar, click Start Encoding.

    During encoding, the EDL tab of the Monitor panel displays status information for the clips.

Related topics

  • Setting up an EDL
  • To enable device control
  • To encode to a file


Capturing screens

You can capture your entire desktop screen, individual windows, or a region of the screen and broadcast the screen or encode it to a file just as you would any other content. You can use the screen capture feature for:

  • Capturing from .avi files that were created with a third-party screen-capture utility.
  • Capturing a window (or the entire desktop) directly from your desktop.
  • Capturing from a card that is connected to a scan converter device.

When you capture a window, you can save the session for later use. Keep in mind, however, that the title of the window and its coordinates are saved along with all the other configuration information in the session file. When you reload the session file for a subsequent screen-capture session, the encoder looks for a window that matches the stored title. If the encoder does not find one, it captures a window that matches the stored coordinates.

When you capture the entire desktop and save the session, the display size and color settings for your monitor are saved in the session file. If, after saving the session, you decide to change the screen size or color, you must create a new session to include these settings.

If your screen saver is displayed while you are capturing a window or the entire desktop, the screen saver will be encoded. Therefore, it is recommended that you turn off your screen saver when capturing a window or the entire desktop.

Note image Notes

  • Artifacts can be introduced when an analog signal is run through a scan converter and converted to National Television Standards Committee (NTSC) format. These artifacts are amplified during encoding and can degrade the quality of the encoded video.
  • When you are done capturing a screen, be sure to click Stop encoding on the toolbar. Simply minimizing the window being captured does not end the encoding session.

Related topics

  • Configuring sources
  • Improving performance when encoding screens
  • To encode an .avi file containing screen content
  • To capture a screen on the desktop


Improving performance when encoding screens

Because of the amount of data being manipulated and the CPU power required, capturing screens is a performance-intensive process. Use the following guidelines to ensure that the screen image you capture will encode and play well:

  • Use a fast processor.
  • Use the Windows Media Video 9 Screen codec.
  • Set your monitor to use a lower display size. For example, capturing at a 1024 x 768 resolution yields more data than capturing at 640 x 480.
  • Set your color display to 16-bit or 8-bit color. Or, to further improve the CPU usage set the encoder to run in 256-color mode. Keep in mind that running in 256 colors can introduce a palette change when switching between programs that have different color schemes. The encoder does not support palette changes for real-time screen capture. Therefore, you should use 16-bit colors or capture to an .avi file first, then use the encoder to convert the file to Windows Media Format.
  • Use a low frame rate. You may have to experiment with the setting to determine the frame rate that meets your needs.
  • Capture a smaller image.
  • Use a higher bit rate.
  • Avoid multiple scene changes, such as opening and closing windows in rapid succession during the capture.
  • Capture screens or regions only from the primary monitor when using a dual-monitor scenario.
  • Disable hardware acceleration. (However, enable hardware acceleration after completing the screen capture for best results with other programs.)
  • Quit all video programs you are not using.
  • Set up the output frame size to be the same as the source. Do not use the encoder to resize the source video.

Related topics

  • Capturing screens
  • Hardware and software requirements


To encode an .avi file containing screen content

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click File, and then enter the name of the .avi file.
  3. Click the Compression tab.
  4. In Destination, click either Windows Media server or Web server, depending on your playback scenario.
  5. In Video, click Screen capture.
  6. Click Apply, and then on the toolbar, click Start Encoding.

Note image Note

  • When capturing from .avi files created by using a third-party screen capture tool, use run-length encoding (RLE) compression or RGB uncompressed formats for files you plan to later convert through the encoder.

Related topics

  • Capturing screens


To capture a screen on the desktop

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click Devices.
  3. In Video, click Screen Capture, and then click Configure to specify the window or region of the screen that you want to capture.
  4. Click the Compression tab.
  5. In Destination, click either Windows Media server or Web server, depending on your playback scenario.
  6. In Video, click Screen capture.
  7. Click Apply, and then on the toolbar, click Start Encoding.

    The encoder window minimizes while you are encoding. If you are encoding a file, restoring the encoder window usually pauses the encoder. However, if your screen capture session is also sourcing audio from a file, then restoring the encoder window will not pause the encoder. For a broadcast session, encoding continues, even if you restore the encoder window. To stop or pause encoding, click the encoder button on the taskbar. Then, on the toolbar, click either Stop Encoding or Pause Encoding.

Related topics

  • Capturing screens


Inserting script commands

You can insert script commands into a stream while you are encoding. The encoder supports the following types of script commands:

  • Captions. Free-form text strings that are displayed in a player along with your encoded content. For the captions to be visible, users must have enabled captions in their player.
  • Closed captioning. If your capture card supports capturing closed captioning data, you can encode the closed captioning.
  • URLs. When inserted into a stream, the user's default browser opens and the requested URL loads into the browser. If you have embedded the player within a browser, the requested URL replaces the player, and users cannot view the rest of the stream. You can get around this either by displaying the requested URL in a separate frame in the same browser instance or by opening an additional instance of the browser.
  • Custom script commands. In addition to supporting captions and URLs, a player automatically processes FILENAME, EVENT, and OPENEVENT script commands. You can use the FILENAME command to open a specific digital media file at the time you specify. You can use the EVENT command to create custom script commands. For example, you can insert an advertisement into the stream. Note that the code for the specified event must be defined in the Windows Media metafile for the stream for the player to perform the specified event. The OPENEVENT command precedes the actual EVENT command. The OPENEVENT command allows the player to prebuffer the content so that when the specified event occurs, the switch between streams appears to be seamless.

For detailed information about the script commands supported by Windows Media Player 9 Series, see the Windows Media Player 9 Series Software Development Kit (SDK). For information about the script commands supported by Windows Media Services 9 Series, see the Windows Media Services 9 Series SDK.

Because script commands are saved in the stream, they are not available for editing.

Inserting script commands into an encoding session requires that you select scripts as a source type when setting up your session. You cannot include scripts when you set up a session using the New Session Wizard, but you can add scripts to the session through the Sources tab of the Properties panel.

Related topics

  • Configuring sources
  • To insert script commands while encoding
  • To encode closed captioning data


To insert script commands while encoding

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click Devices.

    -or-

    To insert script commands while sourcing from a file, click Both device and file.

  3. Select the Script check box, and then click Script Panel.
  4. Click Apply, and then click Start Encoding.
  5. On the Script panel, click the button for the kind of script you want to insert. You can insert a caption (text string), URL, or custom script command.
  6. Do one of the following:
    • If you are inserting a caption or URL, type the text or URL that you want to insert.
    • If you are inserting a custom script, type the script command type and value.
  7. Click Insert at the point you want to insert the script into the stream. The Total scripts entry on the Monitor panel increments with each script command that you insert.

Related topics

  • Inserting script commands


To encode closed captioning data

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In Source from, click Devices.
  3. Select the Script check box, and then click the name of the capture card that supports closed captioning.
  4. If you want to configure the card, click Configure.

Related topics

  • Inserting script commands


Using multiple sources in a session

You can use multiple sources in a session. Although only one source streams at a time, as you encode, you can switch between sources to stream different content. For example, before broadcasting a company meeting, you can set up sources for the main content as well as for welcome, intermission, and goodbye content. When you broadcast the event, you can start with the welcome source, switch to the main speaker when appropriate, switch to the intermission source during a break, and then switch to the goodbye source when the event finishes.

If you are using the Windows Media Audio 9 Voice codec in a multisource session, the mode (voice-only or mixed voice and music) of the first source determines the mode of the subsequent sources. For example, if you choose the voice-only or mixed mode for the first source, subsequent sources will be encoded in the same mode. However, if you specify the mixed mode for the first source and set up an optimization definition file for that source, subsequent sources in the session will be encoded in the voice-only mode.

Related topics

  • Configuring sources
  • To switch between multiple sources while encoding
  • To set the order of multiple sources


To switch between multiple sources while encoding

  1. On the View menu, click Sources Panel.
  2. On the Sources panel, click the source you want to start with, and then click Start Encoding.
  3. To switch to a different source, on the Sources panel, click the button for that source.

Related topics

  • Using multiple sources in a session


To set the order of multiple sources

  1. On the toolbar, click Properties, and then click the Sources tab.
  2. In the list of sources, click the source you want to move, and then click the Up arrow button Up arrow or Down arrow button Down arrow .

Related topics

  • Using multiple sources in a session


Customizing a session

This section provides information about options you have for customizing an encoding session to meet your needs. If you customize a session and want to reuse it frequently, you can save the session to a session file and then add it to the list of quick starts.

Related topics

  • Windows Media Encoder
  • To open an existing session
  • To save a session
  • To start, stop, or pause encoding
  • To create a custom quick start
  • Cropping and resizing video before encoding
  • Preserving the pixel aspect ratio of video
  • Optimizing video and audio
  • Specifying a language for content
  • Applying time compression to your content
  • Using CBR encoding
  • Using VBR encoding
  • Setting up an MBR stream
  • Using digital rights management to protect content
  • Using hardware profiles
  • Using transform plug-ins


To open an existing session

  3. On the File menu, click Open.
  4. In File name, enter the name and location of the session file you want to open.

    Session files have a .wme file name extension.

  5. Click Open.

Note image Note

  • You can also open a session file by dragging it to the encoder.

Related topics

  • Customizing a session


To save a session

  6. On the File menu, click Save.
  7. In File name, enter a name and location for the file, and then click Save.

Related topics

  • Customizing a session


To start, stop, or pause encoding

  • To start encoding, on the toolbar, click Start Encoding. A message notifies you that encoding has started.

    -or-

    To stop encoding, on the toolbar, click Stop. A message notifies you when encoding has stopped. A summary of the session results is available in the Encoding Results dialog box.

    -or-

    To pause encoding, on the toolbar, click Pause. Note that it is only possible to pause encoding when you are sourcing from devices or screen captures and encoding to a file. If any source in your session is a file, it is not possible to pause encoding.

Related topics

  • Customizing a session


To create a custom quick start

  1. Create a session that meets your encoding needs, and then save the session.
  2. Save the session file to the Templates directory, which is in the same location as Windows Media Encoder. By default, this is C:\Program Files\Windows Media Components\Encoder\Templates.

    Your quick start will appear in the list of quick starts in the New Session dialog box.

Related topics

  • Customizing a session
  • Using quick starts to encode


Cropping and resizing video before encoding

Using Windows Media Encoder, you can crop the edges of your input video image. For example, noise often occurs at the edges of an image, so you can crop one or more edges to eliminate the affected rows. You can specify how much to crop from each side of an image, or you can use default values for cropping. After cropping, you can resize the height and width of the output video. By default, the output video image is stretched to match the frame size specified in the profile. However, you can resize the video so that the output image matches the dimensions of the cropped image. Or, you can have the video resize automatically to make use of the bandwidth specified in the profile. You can also specify custom resize dimensions.

MBR video and multiple sources

If you are encoding MBR video, you can resize the output frame size for each bit rate separately. This means that an MBR file or stream can contain video images of varying sizes.

If you have multiple sources in a session, the output dimensions of the first source determine those of the subsequent sources. Therefore, it is only possible to resize the first source in a multisource session.

Detecting the input size

When you source from a file, the encoder can detect the size of the source video before encoding begins; when you source from devices or screen captures, the input size cannot be detected before encoding. For this reason, when sourcing from devices or screen captures, you should specify the input size when you crop and resize video. When you do so, the encoder will detect the actual input size when encoding begins. If the actual input size is different than the size you specified, the percentage of cropping you specified (rather than the actual pixel values) will be applied to the actual input size.

For example, assume you indicated that the input size was 100 x 200 pixels, and specified the following crop values:

  • Top: 4 (2 percent of height)
  • Bottom: 4 (2 percent of height)
  • Left: 10 (10 percent of width)
  • Right: 10 (10 percent of width )

If the encoder detected that the actual input size is 200 x 400, the actual crop values would match the percentage of cropping, as follows:

  • Top: 8 (2 percent of height)
  • Bottom: 8 (2 percent of height)
  • Left: 20 (10 percent of width)
  • Right: 20 (10 percent of width )

Hardware cropping

If your capture card supports hardware cropping, it is recommended that you use the hardware to crop the video. Refer to the documentation for your capture card for information about hardware cropping.

If your capture card does not support hardware cropping, or if you are sourcing from a file, the cropped video will not be displayed in the Input area on the Video panel until you start encoding.

Resizing

For best results, do not resize your output video. Resizing can result in suboptimal output. However, if you are encoding to a file by using the Windows Media Video 9 codec, and the time required to encode is not important, you can improve the quality of resized content by adjusting the encoder performance setting for the Encode to file option to better quality. Note that the encoding time increases significantly if you use this method.

Caution image Caution

  • You should not resize the image when you are encoding a screen, which can result in poor quality in the encoded content.

Related topics

  • Customizing a session
  • Adjusting encoder performance settings
  • To crop and resize video
  • To match the frame size of the source video


To match the frame size of the source video

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. Click Edit, and then click the bit rate tab.
  3. Select the Same as video input check box.

Related topics

  • Cropping and resizing video before encoding


To crop and resize video

  1. On the toolbar, click Properties, and then click the Video Size tab.
  2. In the source list, click the source that you want to crop. (Only necessary for multisource sessions.)
  3. If you are sourcing from devices or screens, in Crop, type the input size.
  4. In Crop Method, click Custom or one of the default crop values.
  5. If you selected custom cropping, enter the number of pixels to trim from the top, bottom, left, and right sides of the video.
  6. In Resize method, click one of the following:
    • Same as profile. Stretches the dimensions of the output video to match the frame size specified in the profile.
    • No resizing. The dimensions of the output video match the dimensions of the cropped input video.
    • Auto. When the source is a file, the dimensions of the output video are resized to make use of the bandwidth specified in the profile, while simultaneously attempting to maintain the aspect ratio of the cropped input image. If the input size you specified in step 4 is different than the actual input size, then the dimensions of the output video match the dimensions of the cropped input video.
    • Custom. Enables you to specify custom dimensions for the output video.
  7. If you are encoding MBR content, click a different bit rate and resize it. (This option is only available if you selected the Custom or Same as profile resize method for the first bit rate.)

Note image Note

  • If you are cropping content that is also being deinterlaced or to which you are applying the inverse telecine filter, then the top and bottom cropping values must each be evenly divisible by 2.

Related topics

  • Cropping and resizing video before encoding
  • Optimizing video and audio


Preserving the pixel aspect ratio of video

If your video source has nonsquare pixels, you can preserve its pixel aspect ratio. Check the documentation for your video device to determine whether it uses nonsquare pixels.

The pixel aspect ratio is the width (x) of the pixel with respect to its height (y). A square pixel has a ratio of 1:1, but a nonsquare (rectangular) pixel does not have the same height and width. This concept is similar to the frame aspect ratio, which is the total width of an image with respect to its height. However, these aspect ratios are not necessarily tied together. For example, a widescreen image with a frame aspect ratio of 16:9 can be made of square or nonsquare pixels.

The same frame aspect ratio with different pixel aspect ratios.

If you encode a video source with nonsquare pixels as though the pixels are square, the output will distort, as shown in the following diagram.

Encoding an image with nonsquare pixels without preserving its aspect ratio.

If you know the frame aspect ratio (Ix:Iy) and exact height and width of your image source, you can use the following formula to determine the x and y values of the pixel aspect ratio.

PixelAspectRatioX / PixelAspectRatioY = (Ix * height) / (Iy * width)

For example, if your image is 720 by 360 pixels, and the frame aspect ratio is widescreen (16:9), then PixelAspectRatioX=8 and PixelAspectRatioY=9:

PixelAspectRatioX / PixelAspectRatioY = (16*360) / (9*720) = 8/9

Note image Notes

  • If you set the size of the output video to be the same as the source video, and the source video has nonsquare pixels, then the pixel aspect ratio of your source video is automatically preserved in the output video.
  • Preserving the pixel aspect ratio of video increases the file size or stream bit rate.

Related topics

  • Customizing a session
  • To preserve the pixel aspect ratio of video
  • To match the frame size of the source video


To preserve the pixel aspect ratio of video

  1. On the toolbar, click Properties, click the Compression tab, and then click Edit.
  2. On the General tab, select the Allow nonsquare pixel output check box, and then click OK.
  3. Click the Video Size tab, and then in Pixel aspect ratio, specify the pixel aspect ratio of your input video. If you are using a custom pixel aspect ratio, the values you type must be between 1 and 255.

Related topics

  • Preserving the pixel aspect ratio of video


Optimizing video and audio

You can use Windows Media Encoder to deinterlace source video that is interlaced, apply an inverse telecine filter to content that is telecined, or maintain the interlacing in your source video.

If you are not sure whether your source content is interlaced or telecined, you can use the encoder to detect the format by clicking Detect on the Processing tab of the Properties panel.

If your audio content is primarily voice, combined with some music, you can use the Windows Media Audio 9 Voice codec and optimize the content for voice.

Related topics

  • Customizing a session
  • Deinterlacing or maintaining the interlacing in video
  • Applying the inverse telecine filter to video
  • Optimizing audio for voice


Deinterlacing or maintaining the interlacing in video

A video frame can be either interlaced or progressive. An interlaced video frame contains two fields per frame captured at different time instants. When the video is being rendered, the lines of one field are displayed first, and then the lines of the second field are displayed. In contrast, with a progressive video frame, the lines in each frame are painted sequentially. Interlaced content is common because the NTSC and PAL standards use interlaced video signals.

Deinterlacing video

When interlaced video is played on a progressive-scan display, such as a computer, it can appear to flicker as the fields are rendered. Deinterlacing is the process of creating a progressive frame of video out of an interlaced frame, which reduces the flickering. The encoder has three deinterlace filters. The filter used by the encoder depends on the difference between the input and output frame size and frame rate.

  • Normal deinterlacing. This is the default filter used when you select the deinterlace option. This filter blends the even and odd fields of an interlaced frame to create a progressive frame, as shown in the following diagram.

  • Half-size deinterlacing. This filter is used when the number of lines specified for the output video is half (or less) than those of the input video. For example, this filter is used when the resolution of the input video frames is 640x480 pixels and the output resolution is 320x240 pixels. This filter uses an algorithm that blends the fields, rather than simply removing one field of data. This results in higher-quality output video.
  • Half-size, double frame rate deinterlacing. This filter is used when the number of lines specified for the output video is half (or less) than those of the input video and the output frame rate is twice as high as the input frame rate. This filter produces a frame from each field of the video sequence, as shown in the following diagram.

    Half-size, double frame rate deinterlacing

    The benefits of this filter are that it produces high-quality progressive frames because there is no need to blend information across fields. In addition, the full motion of the interlaced fields is maintained. However, this filter has higher performance and bit rate requirements.

Deinterlacing is not supported for a source that was not previously interlaced.

Maintaining interlacing in source video

Maintaining the interlacing in your video is useful if it will be displayed on interlaced playback devices, such as televisions. You must use the Windows Media Video 9 codec to be able to use this option. In addition, the user playing your content must have Microsoft Windows XP, a player that is based on the Windows Media Format 9 Series Software Development Kit (SDK), and a graphic card that supports interlacing; otherwise, your content is automatically deinterlaced.

If your source video is mixed (progressive and interlaced) and you select the Maintain interlacing option, the output video will also be mixed.

Note image Notes

  • Some capture cards support hardware deinterlacing. It is recommended that you use hardware deinterlacing if possible.
  • Maintaining interlacing in source video when encoding at a low frame rate (for example, 15 fps) can introduce undesirable artifacts in the encoded content. Therefore, if you are encoding at a low frame rate, it is recommended that you deinterlace the video, even if the content is intended for display on an interlaced playback device.

Related topics

  • Optimizing video and audio
  • To deinterlace video
  • To maintain the interlacing in video


To deinterlace video

  1. On the toolbar, click Properties, and then click the Processing tab.
  2. Click the source that you want to deinterlace. (Only necessary for a multisource session.)
  3. Click Deinterlace.

Note image Notes

  • Use the deinterlace filter only with a video source that was previously interlaced.
  • Do not use the deinterlace filter when capturing screens.

Related topics

  • Deinterlacing or maintaining the interlacing in video


To maintain the interlacing in video

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. Click Edit, and then select the Allow interlaced processing check box.
  3. Click the Processing tab.
  4. Click the source that you want to maintain the interlacing for. (Only necessary for a multisource session.)
  5. Click Maintain interlacing.
  6. If you know which field is first in your content, click either Top first or Bottom first. If you are not sure which field is first, click Auto.

Note image Note

  • You must use the Windows Media Video 9 codec to maintain interlacing in video.

Related topics

  • Deinterlacing or maintaining the interlacing in video


Applying the inverse telecine filter to video

The inverse telecine process removes frames that were added during telecining when film (24 fps) was converted to NTSC video (29.97 or 30 fps). The inverse telecine filter removes artifacts and improves the quality of encoded content, especially at low bit rates.

Content is telecined in a pattern called 3:2 pulldown, which refers to the process used to create the extra frames. If the 3:2 pulldown pattern is consistent throughout the source video, the video is said to be coherent. However, video often is not coherent, meaning that there are breaks in the 3:2 pulldown pattern. For example, pattern breaks, or incoherencies, can be introduced when video is edited. If your content is coherent, you can choose the exact frame at which the 3:2 pulldown pattern starts. Or, you can choose to have the pattern be detected automatically.

Inverse telecine is not supported for:

  • An NTSC source that was not previously telecined.
  • Content that has time compression applied.
  • Content for which you are preserving or creating a time code.

Related topics

  • Optimizing video and audio
  • To apply an inverse telecine filter to video


To apply an inverse telecine filter to video

  1. On the toolbar, click Properties, and then click the Processing tab.
  2. Click the source that you want to apply the inverse telecine filter. (Only necessary for a multisource session.)
  3. Click Inverse telecine.
  4. If your content is coherent and you want to limit any pattern-break adjustments, in the list, click the frame where your shot begins.

Note image Notes

  • Use the inverse telecine filter only with a video source that was previously telecined with a frame rate of 30 fps.
  • Do not use the inverse telecine filter when capturing screens.

Related topics

  • Applying the inverse telecine filter to video


Optimizing audio for voice

If you are sourcing from audio that is entirely or primarily voice, you should use the Windows Media Audio 9 Voice codec, which is designed to encode voice. You can optimize the codec behavior by identifying if the content is voice only or if it also contains some music. If the audio is a mixture of voice and music, during encoding the codec automatically uses the appropriate algorithm to optimize encoding for the content (voice or music). Or, you can create an optimization definition file, which is a text file that identifies the places in your file where music starts and ends. The unspecified portions in the file are treated as voice.

If you are using the Windows Media Audio 9 Voice codec in a multisource session, see Using multiple sources in a session for information about codec behavior.

Related topics

  • Optimizing video and audio
  • To optimize audio for voice
  • To create an audio optimization definition file


To optimize audio for voice

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. Click Edit, and then, in Mode, click CBR.
  3. In Codec, click Windows Media Audio 9 Voice, and then click OK.
  4. Click the Processing tab, and then click Voice only or Audio with voice emphasis.

    For audio with voice emphasis, you have the option of creating an optimization definition file, which identifies the places in the audio where music starts and ends.

  5. If you created an optimization definition file, enter the name of the file.

Related topics

  • Optimizing audio for voice
  • To create an audio optimization definition file


To create an audio optimization definition file

  1. Use a text editor, such as Notepad to create a text file.
  2. Type the version number and the number of music segments the file contains.

    The version number should always be the number 1.

  3. Type the start and end times (in milliseconds) of each segment, and separate each start and end time with a comma.

    For example, typing 1, 3, 0, 10000, 50000, 80000, 150000, and 200000 indicates that there are three music segments; the codec will switch to music mode at 0 to 10 seconds, 50 to 80 seconds, and 150 to 200 seconds.

  4. Encode the text file in Unicode.

    If you use Notepad to create the file, you can save the file as Unicode by choosing the Save As command on the File menu, and then, in Encoding, clicking Unicode.

Related topics

  • Optimizing audio for voice


Specifying a language for content

When you encode content, a language is automatically associated with your content. If you want, you can encode content in different languages. You can then use Windows Media Stream Editor to add content of different languages into one file. Then, users can choose the language they want to listen to when playing the file.

Related topics

  • To specify a language for content


To specify a language for content

  1. On the toolbar, click Properties, click the Compression tab.
  2. Click Edit.
  3. In Language, click a language from the list.

Related topics

  • Specifying a language for content


Applying time compression to your content

By applying time compression to your content while it is encoding, you can speed up or slow down the content during playback. Speeding up the content reduces the amount of time required to view the entire video or listen to the entire audio file, which is useful when you have to fit content into a specific time slot. Slowing down the content can improve comprehension in situations where the material is highly technical or the language is not native to users. Using time compression has the following requirements:

  • Your source must include audio content.
  • Every source in the session must be a file.
  • You must encode to a file. (Time compression is not supported for broadcasts.)
  • You must be using a one-pass encoding mode (either one-pass CBR or quality-based VBR).
  • You cannot apply the inverse telecine filter in conjunction with time compression.
  • You cannot use the looping feature in conjunction with time compression.
  • You cannot apply time compression when sourcing from multichannel audio.

If you are sourcing audio and video from separate files, encoding will stop when the end of the file with the shorter duration is reached.

Windows Media Encoder has two time compression features that you can use independently of one another or in tandem:

  • Accelerating or decelerating the audio and video frames. Accelerating and decelerating have no effect on the pitch of the audio stream.
  • Detecting and removing pauses in voice or action. Periods of silence are removed from the audio, and frames are removed from the video. If you elect to create a log file, the start and end times of the segments that are removed are listed in the log file so you have a permanent record.

Before using time compression, be sure you start with audio that is the best quality possible. Artifacts or noise in the source content will be more pronounced when the content is accelerated. Noise in the source content also decreases the accuracy of pause removal.

Always test your content to ensure that you achieve the desired results. To run a test, encode some content by using time compression and then play it. If the results are unsatisfactory, adjust the time compression settings, and then encode the content again.

Related topics

  • Customizing a session
  • To accelerate or decelerate the audio and video frames
  • To remove pauses from the content


To accelerate or decelerate the audio and video frames

  1. Set up a session that sources from files.
  2. On the toolbar, click Properties, and then click the Compression tab.
  3. Select the Time Compression check box, and then click Properties.
  4. Move the slider to adjust the amount of acceleration applied to your content. You can decelerate up to 50 percent or accelerate up to 250 percent.

Related topics

  • Applying time compression to your content
  • To source from a file


To remove pauses from the content

  1. Set up a session that sources from files.
  2. On the toolbar, click Properties, and then click the Compression tab.
  3. Select the Time Compression check box, and then click Properties.
  4. Select the Enable pause removal check box.
  5. If you want to create a log file that will list the segments that are removed with a time stamp, click Options, and then enter a log file name.

Related topics

  • Applying time compression to your content
  • To source from a file


Using CBR encoding

With CBR encoding, you specify the bit rate that you want to maintain and then set the size of the buffer. The bit rate will fluctuate across the stream; however, the fluctuations are constrained by the buffer size. The content quality also fluctuates to ensure that the buffer does not overflow or underflow. (If you want to guarantee the quality of the encoded output, use quality-based VBR encoding.) The size of the buffer determines the amount of initial delay when the content is played, but using CBR encoding ensures that the content is streamed smoothly, assuming that the bit rate is compatible with the client connection speed. If possible, use two-pass CBR encoding to reach a higher quality without losing the advantages of CBR encoding. Two-pass encoding is not supported in all scenarios.

Related topics

  • Customizing a session
  • About CBR or VBR encoding
  • About one- or two-pass encoding
  • Feature requirements
  • To set up a CBR encoding session


To set up a CBR encoding session

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click a destination that supports CBR encoding and meets your playback scenario.
  3. In Video and Audio, select the video and audio settings you want.
  4. If you want to enable two-pass CBR encoding, select the Two-pass encoding check box.

Note image Note

  • Two-pass encoding is not available for certain scenarios.

Related topics

  • Using CBR encoding
  • About one- or two-pass encoding
  • Feature requirements


Using VBR encoding

Windows Media Encoder supports three VBR encoding modes:

  • Quality-based VBR. With quality-based VBR encoding, you specify a desired quality level (from 0 to 100). Then, during encoding, the bit rate fluctuates according to the complexity of the stream—a higher bit rate is used for intense detail or high motion, and a lower bit rate is used for simpler content. The advantage of quality-based VBR encoding is that quality remains consistent across all streams for which you specify the same quality setting. The disadvantage is that you cannot predict the file size or bandwidth requirements of the encoded content before encoding. Quality-based VBR encoding uses one-pass encoding. This mode is good for archiving content.

    If you are encoding audio content with this encoding mode, you have the option of using the Windows Media Audio 9 Lossless codec. Lossless encoding produces superior quality results, while also providing some compression of the data.

  • Bit rate-based VBR. With bit rate-based VBR encoding, you specify the desired average bit rate. At any point, the bit rate may exceed the average bit rate but the overall bit rate does not exceed the average bit rate. Bit rate-based VBR encoding uses two-pass encoding. In the first pass, the data complexities are analyzed. Then, in the second pass, the quality level is set to achieve the average bit rate. The advantage of bit rate-based VBR encoding is that the compressed stream will achieve the highest possible quality level while staying within a predictable average bandwidth.
  • Peak bit rate-based VBR. Peak bit rate-based VBR encoding is similar to the bit rate-based mode, except that you also specify the peak bit rate. The encoder determines the image quality that can be achieved without exceeding the peak bit rate. The bit rate does fluctuate during encoding, but does not exceed the specified peak bit rate. Use this option when you plan to distribute the content for playback on a device that has a constrained reading speed, such as a CD or DVD player. Peak bit rate-based VBR encoding uses two-pass encoding.

Note image Notes

  • Only certain codecs support VBR encoding.
  • The quality-based and bit rate-based VBR encoding modes are not recommended for use in a streaming scenario as a result of the high bit rate peaks in the content. In a streaming scenario, when all players reach the point in the stream with a high bit rate at approximately the same time, there is a large peak in demand. This peak may exceed the network capacity, resulting in a negative playback experience.

Related topics

  • Customizing a session
  • About CBR or VBR encoding
  • Using CBR encoding
  • Feature requirements
  • About one- or two-pass encoding
  • To set up a quality-based VBR encoding session
  • To encode lossless audio
  • To set up a bit rate-based VBR encoding session
  • To set up a peak bit rate-based VBR encoding session


To set up a quality-based VBR encoding session

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click File archive.
  3. In Video and Audio, select the quality settings you want for video and audio.

    -or-

    Click Edit, click the Quality-based tab, and then, in Video quality, type the quality setting you want. The setting can range from 0 to 100, with 100 being the highest quality.

Related topics

  • Using VBR encoding


To encode lossless audio

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click File archive.
  3. In Audio, click Lossless quality audio.

Related topics

  • Using VBR encoding


To set up a bit rate-based VBR encoding session

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click File download.
  3. In Video and Audio, select the settings you want for video and audio.

    -or-

    Specify your own settings by clicking Edit.

Note image Note

  • This VBR mode uses two-pass encoding. Two-pass encoding is not available for certain scenarios.

Related topics

  • Using VBR encoding
  • About one- or two-pass encoding


To set up a peak bit rate-based VBR encoding session

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click Hardware devices.
  3. In Video and Audio, select the settings you want for video and audio.

    -or-

    Specify your own settings by clicking Edit.

Note image Note

  • This VBR mode uses two-pass encoding. Two-pass encoding is not available for certain scenarios.

Related topics

  • Using VBR encoding
  • About one- or two-pass encoding


Setting up an MBR stream

If you plan to deliver your content as a unicast stream from a server running Microsoft Windows Media Services, encoding multiple-bit-rate (MBR) stream provides users with better quality content during times of network congestion. When you set up an MBR stream, your content is encoded at each bit rate that you specify. When a player receives an MBR stream, only the stream that is the most appropriate for current network conditions plays. The Windows Media server and player handle the process of selecting the appropriate stream, which is invisible to the user. Because an MBR stream is intended for use only in a streaming scenario, you can only use CBR encoding when encoding an MBR stream.

You can encode an MBR stream for both audio and video content; however, it is not necessary to use MBR encoding for both audio and video in a stream. For example, you can stream audio at one bit rate and have multiple bit rates for the video portion of the stream.

When setting up an MBR stream, keep in mind that the more bit rates you select, the larger the aggregate bandwidth for live stream distribution from the encoder to a Windows Media server is required. To estimate the aggregate bandwidth of an MBR profile, calculate the sum of each audio and video bit rate, and the script bit rate. Also keep in mind that encoding an MBR stream uses more processing power for the encoding computer.

If you are using the Windows Media Audio 9 Voice codec in an MBR session and you specify the mixed voice and music mode, it is recommended that you do not include any bit rates below 8 kilobits per second (Kbps) in the session. The reason for this is that any bit rates below 8 Kbps will be encoded in voice-only mode, which may result in suboptimal quality in your audio content.

Related topics

  • Customizing a session
  • To encode an MBR stream
  • To encode single-bit rate audio with MBR video
  • To encode single-bit rate video with MBR audio


To encode an MBR stream

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click Windows Media server.
  3. In Video and Audio, click the quality settings you want.
  4. In Bit rates, select the bit rates you want to stream at.

    -or-

    Click Edit, and then click Add. The Add Bit Rate dialog box appears. Type a bit rate you want to include in the MBR stream.

Note image Notes

  • Select a range of bit rates that you think will meet the playback needs of the audiences you are targeting.
  • It is not necessary to use MBR encoding for both audio and video in a stream. For example, you can stream audio at one bit rate and have multiple bit rates for the video portion of the stream.

Related topics

  • Setting up an MBR stream
  • To encode single-bit rate audio with MBR video
  • To encode single-bit rate video with MBR audio


To encode single-bit rate audio with MBR video

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click Windows Media server.
  3. In Video and Audio, click the quality settings you want to use.
  4. In Bit rates, select the bit rates you want to stream at.
  5. Click Edit, and then on each bit rate tab, select the same setting in Audio format.

Related topics

  • Setting up an MBR stream
  • To encode single-bit rate video with MBR audio


To encode single-bit rate video with MBR audio

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click Windows Media server.
  3. In Video and Audio, click the quality settings you want to use.
  4. In Bit rates, select the bit rates you want to stream at.
  5. Click Edit, and then, for each bit rate tab, select the same settings in the video area. (All settings must match, or multiple video bit rates are used during encoding.)

Related topics

  • Setting up an MBR stream
  • To encode single-bit rate audio with MBR video


Using digital rights management to protect content

You can control the use of your encoded content by protecting it with digital rights management (DRM) technology. To do this you need to set up an account with a license provider that supports Windows Media Encoder 9 Series or Windows Media Encoder 9 Series x64 Edition. When you set up an account, the license provider gives you a DRM file that contains the information that is needed to protect your content. The information in the DRM file that you get from the license provider is referred to as a DRM profile. DRM profiles have a .drm file name extension, and are generally password protected. You can also export a DRM profile from the Windows Media Encoder 9 Series.

After you encode your content, you specify the DRM profile that you want to use to protect your content. The DRM Protect tool that is included with Windows Media Endcoder x64 Edition uses the information in the DRM profile to encrypt your content with a key, and other digital rights management settings that are specific to the DRM profile you selected.

When the DRM protected content is downloaded and played a license is required. The license is automatically retrieved from the appropriate Web site. This license contains the key to unlock the content and other relevant information about the rights that govern the use of the content. For example, the license might determine the number of times the content can be played or when the license expires.

A media player that supports Microsoft DRM technology, such as Windows Media Player 10, must be used to play protected content. For more information about Windows Media Player 10, see the Windows Media Web site.

Related topics

  • Setting up an account with a license provider
  • Using the DRM Protect tool


Setting up an account with a license provider

To protect your content with DRM technology a license provider must create and issue a profile that contains the license information for the content that you want to protect. To setup an account with a third party license provider, you can use the Windows Media 32-bit Encoder, or visit the license provider's Web site directly.

As part of setting up the account, the license provider will prompt you to select the rights you want to include in the DRM profile. Depending on the license server, you might also be prompted to specify other settings, such as how you want to issue licenses.

After you have set up an account, the license provider creates a DRM profile that you can save on your local computer. Then, you use the profile in conjunction with the DRM Protect tool to protect your content. The profile is generally password protected and can only be used with the user account under which it was created. The DRM profile contains the following information:

  • A DRM profile ID
  • A name and description
  • Attributes (name-value pairs)
  • The URL to the license provider's Web site
  • The license acquisition URLs

Media players can support different versions of Microsoft DRM technology: Windows Media Rights Manager version 1 or 7, or later. Therefore, different license acquisitions URLs are used that correspond to each version. Each license acquisition URL points to the page on the license provider's Web site where a license can be acquired. This URL needs to be included in the header of your protected content. When the protected content is played, the player opens the appropriate license acquisition URL to get a license.

Reusing DRM profiles

After you have created a DRM profile, you can reuse it in future sessions. You can also import a DRM profile from another computer. To ensure security, DRM profiles are maintained on a per-user basis. This prevents others from viewing, editing, and using DRM profiles that you create.

Related topics

  • Using digital rights management to protect content
  • Using the DRM Protect tool


Using the DRM Protect tool

The DRM Protect tool that is included with Windows Media X64 Encoder is a command line tool that applies DRM to encoded content. The DRM Protect tool takes an input file and produces an output file that is protected with DRM. The output file contains the same media information as the input file. The tool can use a DRM profile that has been configured in Windows Media Encoder 9 Series. For more information about configuring a profile, see the Windows Media Encoder 9 Series Help documentation. You can also use the DRM file, with the .drm file extension, supplied by your license provider. When you use the DRM Protect tool, the input file is DRM protected without re-encoding.

There are no setup requirements for this tool. By default, it is installed in Program Files\Windows Media Components\Encoder, but it can be moved to and run from any directory. However, if you move the tool to a different computer, you must install Windows Media Format Runtime 9 or later from the SDK on the computer before you run the tool.

To access an encoder utility

  1. Click Start, point to Programs, point to Windows Media, and then point to Utilities.
  2. Click DRMProtect. This opens a command prompt to the folder where the tool is installed and runs the tool with -? option that shows all the valid command line parameters.

The following table describes the parameters you can run on the command line. You can use these parameters to display help, apply DRM to a file and list DRM profiles configured on your computer.

Command line parameter | Description
-? | Shows all valid command line parameters.
-e | Lists all the DRM profiles configured on your computer.
-o <OutputFilename> | Sets the full path and the name of the output file.
-i <InputFilename> | Sets the full path and the name of the input file. The tool can process files that are located on another computer when you use a fully qualified path to the file.
-p <profile ID> | Provides the GUID of the DRM profile that you want to use.
-pf <.DRM file> | Sets the full path to the .drm file containing the profile that you want to use.
-f | Replaces the output file if one already exists. This command is optional.
-k <key ID> | The DRM key ID to use. This command is optional.

Notes

  • You can not use the same input and output file names.
  • Command line parameters are not case sensitive.
  • You can use a fully qualified path or a relative path to the input, output and .drm files.

To use a configured DRM profile

  1. On the Start menu, click Run.
  2. In the Open box, type cmd, and then click OK.
  3. Type the following syntax at the command prompt to list the DRM profile names and IDs.
    DRMProtect -e
  4. Review the list of configured profiles and then type the following syntax at the command prompt to apply DRM to content using a specific configured profile ID.
    DRMProtect -o <OutputFileName> -i <InputFileName> -p <Profile ID>

Information about the input file, the output file and the progress appear in the command window while DRM is applied to the file.

To use a profile stored in a .drm file

  1. On the Start menu, click Run.
  2. In the Open box, type cmd, and then click OK.
  3. Type the following syntax at the command prompt to apply DRM to content using a specific .drm file.
    DRMProtect -o <OutputFileName> -i <InputFileName> -pf <.drm file>

Note

  • If the profile is password protected, you will be prompted for the password the first time the DRM file is used. On subsequent use, the profile ID can be used and you will not be required to enter the password.

Information about the input file, the output file and the progress appear in the command window while DRM is applied to the file.

To apply DRM to all encoded files in a directory create a batch file that iterates through the media (WMV, WMA, ASF) files in a folder, and then calls the tool with the options from the first procedure using -p <Profile ID> instead of -pf <.drm file>.

Related topics

  • Setting up an account with a license provider
  • Using digital rights management to protect your content


Using hardware profiles

Windows Media-based content is no longer played back solely on computers. Instead, there is increasing demand for playing the content on various hardware devices, such as set-top boxes, wireless handsets, and DVD players. If you want to ensure that your content can be played on a certain type of hardware device, you can encode your content by using a hardware profile. Windows Media Encoder includes a number of hardware profiles, which are intended to meet a range of encoding needs.

Even if you do not use a hardware profile to encode content, you can still determine the type of hardware device that can play the content. All encoded content is mapped to a hardware profile; the profile used to encode is indicated in the Encoding Results dialog box (in Profile conformance) that appears when encoding is complete.

Video profiles

Windows Media Encoder includes the following hardware profiles: simple low, simple medium main low, main medium, and main high. For more information about each profile, see Hardware profiles for video. A given profile and level always supports lower profiles and levels. For example, a device that supports the main profile, medium level, also supports the main profile, low level, and all levels in the simple profile.

Audio profiles

The following table lists, in ascending order, the hardware profiles for audio content included with the encoder.

Audio profile | Description
L1 | For audio bit rates from 64 Kbps to 128 Kbps (uses the Windows Media Audio 9 codec)
L2 | For audio bit rates that are less than or equal to 160 Kbps (uses the Windows Media Audio 9 codec)
L3 | For audio bit rates less than or equal to 384 Kbps (uses the Windows Media Audio 9 codec)
L | Supports all bit rates; intended for playback on computers as a demonstration of codec capabilities (uses the Windows Media Audio 9 codec)
S1 | For audio bit rates that are less than or equal to 20 Kbps, for low-complexity voice content (uses the Windows Media Audio 9 Voice codec)

It is not possible to select the profiles listed in the following table when setting up a session. However, if the encoded audio meets the parameters listed in the table, the content will be mapped to the corresponding hardware profile.

Audio profile | Description
S2 | For audio bit rates that are less than or equal to 20 Kbps, for mixed music and voice content (uses the Windows Media Audio 9 Voice codec)
M1 | For audio bit rates that are less than or equal to 384 Kbps, sampling rate less than or equal to 48 KHz, and 5.1 or fewer channels; recommended for surround sound for standard-definition movies (uses the Windows Media Audio 9 Professional codec)
M2 | For audio bit rates that are less than or equal to 768 Kbps, sampling rate less than or equal to 96 KHz, and 5.1 or fewer channels; recommended for surround sound for high-definition movies (uses the Windows Media Audio 9 Professional codec)
M | Supports all bit rates, sampling rates, and channels; intended for playback on computers as demonstration of codec capabilities (uses the Windows Media Audio 9 Professional codec)

Combining video and audio profiles

The following table lists recommended combinations of video and audio hardware profiles.

Video | Audio
Simple low | L2 or S2
Simple medium | L2 or S2
Main low | L2 or S2
Main medium | L3, S2, or M1
Main high | L3, S2, or M2

Related topics

  • Customizing a session
  • To set up a hardware profile
  • Hardware profiles for video


To set up a hardware profile

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click Windows Media hardware profiles.
  3. In Video and Audio, click the profile and level you want to encode at.

Related topics

  • Using hardware profiles


Hardware profiles for video

This topic provides detailed information about the hardware profiles available for video content that are installed with Windows Media Encoder.

Simple low (SP@LL)

Item | Value
Target hardware devices | Wireless handsets
Maximum resolution | 176 x 144
Maximum frame rate | 15 fps
Maximum bit rate | 96 Kbps
Maximum buffer size | About 3.4 seconds at maximum bit rate

Simple medium (SP@ML)

Item | Value
Target hardware devices | Handheld computers, personal data assistants, and high-end wireless handsets
Maximum resolution | 352 x 288
Maximum frame rate | 15 fps at 352 x 288 24 fps at 320 x 240
Maximum bit rate | 384 Kbps
Maximum buffer size | About 3.3 seconds at maximum bit rate

Main low (MP@LL)

Item | Value
Target hardware devices | Low-end set-top boxes
Maximum resolution | 352 x 288
Maximum frame rate | 30 fps
Maximum bit rate | 2 Mbps
Maximum buffer size | About 2.5 seconds at maximum bit rate

Main medium (MP@ML)

Item | Value
Target hardware devices | High-end set-top boxes; DVD players; and DirectX Video Acceleration (VA)-enabled graphic cards
Maximum resolution | 720 x 576
Maximum frame rate | 30 fps at 720 x 576 (NTSC) 25 fps at 720 x 576 (PAL)
Maximum bit rate | 10 Mbps
Maximum buffer size | About 1 second at maximum bit rate

Main high (MP@HL)

Item | Value
Target hardware devices | DVD players; DirectX VA-enabled graphic cards; and digital cinema
Maximum resolution | 1920 x 1080
Maximum frame rate | 30 fps at 1920 x 1080 60 fps at 1280 x 720
Maximum bit rate | 20 Mbps
Maximum buffer size | About 2 seconds at maximum bit rate

Related topics

  • Using hardware profiles


Using transform plug-ins

Windows Media Encoder has a customizable user interface that enables developers to write transform plug-ins that customize and build upon encoding functionality. The encoder supports Microsoft DirectShow® and DirectX® Media Object DMO transform filters. You can configure plug-ins on a per-source basis.

For information about DirectShow, see the Microsoft Web site. For information about DirectX Media Object, see the Microsoft Web site.

Related topics

  • Customizing a session
  • To use a transform plug-in


To use a transform plug-in

  1. On the toolbar, click Properties, and then click the Plug-ins tab.
  2. In Transform plug-in type, click either Video or Audio.
  3. Click the source that you want to use the plug-in with. (Only necessary for a multi-source session.)
  4. If no plug-ins appear in the list of available plug-ins, click Register, and then select the check boxes for the plug-ins you want to use. (To unregister a plug-in, clear the check box for the plug-in.)

    You must have administrative credentials on the encoding computer to register a plug-in.

  5. In the list of available plug-ins, click a plug-in, and then click the move right button (>>) to add it to the list of plug-ins for the source.
  6. Click Configure to configure the selected plug-in.

Caution image Caution

  • The Register/Unregister Transform Plug-ins dialog box lists all transform plug-ins that are available on the encoding computer. Some of the plug-ins may not be appropriate for use with the encoder and may have unexpected results if you attempt to use them with the encoder.

Related topics

  • Using transform plug-ins


Output options

You can either encode content to a file for later use, or you can broadcast the content live. If you are broadcasting, you can either push the stream to a server running Windows Media Services or you can enable Windows Media servers and players to pull the stream directly from the encoder. You can archive a copy of the broadcast to a file. Before or after encoding, you can:

  • Change the output port for a broadcast.
  • Select or cancel archiving to a file.
  • Change the name or location of the output file.

While encoding, you can:

  • Select or cancel archiving to a file.
  • Change the name of the archive file if you are not currently archiving.

While encoding, you cannot:

  • Change the port number.
  • Change from a broadcast session to an encode-to-file session.

Related topics

  • Windows Media Encoder
  • Encoding or archiving a broadcast to a file
  • Encoding uncompressed audio and video files
  • Broadcasting content live
  • Testing your content


Encoding or archiving a broadcast to a file

You can encode content to a file, and you can archive a live event to a file for later use.

Archiving on a Windows Media server versus archiving on the encoding computer

If you are broadcasting through a Windows Media server, you can archive the broadcast on the server rather than on the encoding computer. Archiving on the Windows Media server is the best solution when:

  • You want the archive to be available immediately for viewing.
  • The resources on your encoding computer are mostly being used for encoding.
  • You have more disk space available on your server than on your encoding computer.

If you choose to archive the broadcast on the encoding computer, all the sources you set up in the broadcast session are archived automatically. However, archiving all sources is not always desirable. For example, if one of the sources is an advertisement, you may not want to archive the advertisement. You can have the encoder automatically pause archiving for sources that you specify.

Enabling seeking in the output file

Indexing at each key frame is turned on by default whenever you archive or encode to a file and your source includes video. By indexing the content, users can make use of the fast-forward and rewind features of a player while viewing encoded content. Indexing is not available for broadcasts. You can also choose to enable frame-level seeking in an output file by generating a time code (or preserving the time code already present in the source video). You can generate a time code when your source includes video and you are sourcing from digital video (DV) files in Audio-Video Interleaved (AVI) format, capture devices, and digital devices. You can preserve a time code when your source includes video and you are sourcing from digital video (DV) files in Audio-Video Interleaved (AVI) format or digital devices. To preserve the time code for a VTR, you must set up an EDL for the session. You cannot preserve or create a time code when you are applying the inverse telecine filter.

Storing content temporarily

If you are encoding to a file while sourcing from devices, the encoding process might fall behind the capturing process, which reduces the quality of the encoded content. To prevent this from occurring, you can temporarily store the captured content and then encode it to a file. If you choose this option, capturing and encoding occur simultaneously and data is only stored temporarily if encoding falls behind. For the best quality, especially when capturing a large amount of data, you can choose to capture first and then encode only after you have stopped capturing. (This option is not available when you are sourcing from a digital device. In addition, it is not possible to capture first, and then encode in conjunction with limiting the size or duration of the output file.)

If you enable this feature (including the option to capture first, and then encode) in a multisource session, you should wait until all data has been received from the first source before you stop encoding. For example, assume you have two sources, and only want to capture part of the second source. You can switch to the second source during encoding, but you should wait until the video preview/postview (on the Video panel) or the Input area (General tab of the Monitor panel) indicate that the first source has finished sending all data before you stop encoding. This ensures that you will capture all of the content you want.

Related topics

  • Output options
  • About the .asf, .wma, and .wmv file name extensions
  • Setting up an EDL
  • To encode to a file
  • To set archive options for each source
  • To turn indexing on or off
  • To enable frame-level seeking
  • To store captured content temporarily
  • Encoding uncompressed audio and video files


About the .asf, .wma, and .wmv file name extensions

The .asf, .wma, and .wmv file name extensions represent the standard Windows Media file format. The .asf file name extension is normally used with Windows Media-based content created by using Windows Media Tools 4.0. The .wma and .wmv file name extensions were introduced as standard naming conventions with Windows Media Encoder 7 to enable users to easily differentiate between audio-only (.wma) files and video (.wmv) files. However, the three extensions can be used interchangeably. Some tools and services that were created for use with earlier versions of Windows Media Technologies require the .asf extension to accept the content. You can simply rename any .wma or .wmv file with the .asf extension to use them with those tools. (However, it is recommended that you use the most current tool or service, when possible.)

Related topics

  • Encoding or archiving a broadcast to a file


To encode to a file

  1. On the toolbar, click Properties, and then click the Output tab.
  2. Clear the Push to server and Pull from encoder check boxes.
  3. Select the Encode to file check box.
  4. In File name, enter the output file name.
  5. If you want to limit the size of the output file, click Limit by size, and then type the maximum file size followed by a K, M, or G for kilobytes, megabytes, or gigabytes, respectively.
  6. If you want to limit the duration of the output file, click Limit by duration, and then type the maximum duration of the file in hh:mm:ss; for example, 01:30:00.

Related topics

  • Encoding or archiving a broadcast to a file


To set archive options for each source

  1. On the toolbar, click Properties, and then click the Output tab.
  2. Select a broadcast method (push or pull), and then select the Archive to file check box.
  3. In File name, enter a name for the archive file.
  4. If you want to limit the size of the archive file, click Limit by size, and then type the maximum file size followed by a K, M, or G for kilobytes, megabytes, or gigabytes, respectively.
  5. If you want to limit the duration of the archive file, click Limit by duration, and then type the maximum duration of the file in hh:mm:ss, for example, 01:30:00.
  6. If you do not want all sources in the broadcast archived, click the Sources tab, and then in the sources list, click the source you do not want to archive.
  7. In Archiving, click Pause or Stop to prevent the source from being archived.

    You can override these settings by using the Manual Archive Controls on the Control menu.

Related topics

  • Encoding or archiving a broadcast to a file


To turn indexing on or off

  1. On the toolbar, click Properties, and then click the Output tab.
  2. Select the Encode to file or Archive to file check box.
  3. Select or clear the Add index check box to turn indexing on or off, respectively.

Note image Note

  • Indexing enables seeking to key frames. You can enable frame-level seeking for some content.

Related topics

  • Encoding or archiving a broadcast to a file
  • To enable frame-level seeking


To enable frame-level seeking

  1. On the toolbar, click Properties, and then click the Advanced tab.
  2. Select the Time code check box.
  3. If the source video already has a time code, click Preserve original.

    -or-

    To generate a time code, click Create new time code and then, in Start time, type the time in the format hh:mm:ss:fm that you want the time code to start at. In addition, in Video format, select the format of the source video.

Note image Note

  • You can generate a time code when your source includes video and you are sourcing from digital video (DV) files in Audio-Video Interleaved (AVI) format, capture devices, and digital devices. You can preserve a time code when your source includes video and you are sourcing from digital video (DV) files in Audio-Video Interleaved (AVI) format or digital devices. To preserve the time code for a VTR that is connected through a COM port using the Sony RS422 protocol, you must set up an EDL for the session. You cannot preserve or create a time code when you are applying the inverse telecine filter.

Related topics

  • Encoding or archiving a broadcast to a file


To store captured content temporarily

  1. On the toolbar, click Properties, and then click the Advanced tab.
  2. Select the Store content to hard disk temporarily check box.
  3. To capture first and then encode, select the Capture to hard disk first, then encode check box.

Note image Note

  • The Capture to hard disk first, then encode option is not available when you are sourcing from a digital device.

Related topics

  • Encoding or archiving a broadcast to a file


Encoding uncompressed audio and video files

Using Windows Media Encoder, you can capture and archive high-quality content to an archive file for later use. For most situations, the File Archive option, which uses quality-based VBR encoding, is most appropriate. However, if you plan to edit the content at a later date, you may want to consider encoding uncompressed files.

Storage requirements for uncompressed files are significantly higher than for other files to which compression has been applied. It is recommended that you store the content on an NTFS volume. The FAT32 file system has a file size limit of 4 GB. If you expect your content to exceed 4 GB, you should reconfigure your hard disk to use NTFS.

When you capture uncompressed content from a device, such as a camera or VCR, the resulting video is created in the YUV format YV12, regardless of the pixel format specified on the device or in the profile. The Windows Media Video 9 codec is optimized for YUV, making it the preferred format for quality, size, and performance. The resulting audio is created in the pulse code modulation (PCM) format.

For best results when capturing uncompressed content:

  • Use a fast hard disk that can accommodate encoding at high bit rates.
  • Use 15 fps when capturing 640 x 480 resolution.
  • Use 30 fps when capturing 320 x 240 resolution.

Related topics

  • Output options
  • To use the File Archive option
  • To encode uncompressed content


To use the File Archive option

  1. On the toolbar, click Properties, and then click the Output tab.
  2. Clear the Push and Pull check boxes, and then select the Encode to file check box.
  3. Click the Compression tab, and then, in Destination, click File Archive.
  4. In Video and Audio, select the quality settings you want.

Related topics

  • Encoding uncompressed audio and video files


To encode uncompressed content

  1. On the toolbar, click Properties, and then click the Compression tab.
  2. In Destination, click Windows Media server or Web server, and then click Edit.
  3. If you are encoding audio, select the Audio check box and then, in Codec, click None (PCM).
  4. If you are encoding video, select the Video check box and then, in Codec, click Full frames (uncompressed).

Note image Notes

  • When you encode both audio and video, you must use the uncompressed option for both.
  • It is not possible to encode uncompressed content into an MBR stream.

Related topics

  • Encoding uncompressed audio and video files


Broadcasting content live

When you want to broadcast your content live, you can choose to either push the stream from the encoder to a Windows Media server or you can enable clients (Windows Media servers or players) to pull the content. The method you use depends upon your situation.

Push scenarios

Pushing a stream from the encoder is useful if the encoder is behind a firewall or if you want to initiate the connection from the encoder. For example, assume you have just received last-minute notice that the president of your company wants to stream a talk to the company employees. The Windows Media server is located remotely, outside your company firewall. In fact, it is the middle of the night for the server administrator. By pushing the stream from the encoder, you can get the stream past the firewall, meet the president's request, and avoid making an emergency call to bring someone in to administer the server. Push distribution is only available with Windows Media Services 9 Series in Windows Server 2003.

Pull scenarios

Enabling Windows Media servers to pull a stream is useful in several scenarios. First, if there are multiple distribution servers, all connecting at different times, each server can initiate the connection with the encoder when the server is ready to stream. Next, pulling from a server is useful if it is important to minimize bandwidth usage between the server and the encoder. For example, the server administrator can add a publishing point and configure it to start automatically upon client request, which means that the server does not initiate the connection with the encoder until the first client connects. This eliminates unnecessary bandwidth use between the server and the encoder. (This scenario is only available with Windows Media Services 9 Series in Windows Server 2003.) Finally, pulling from the server is also useful when the server is behind a firewall. For example, assume you have set up the encoder on a public network because you are streaming events at a conference. You need to get the stream to a distribution server in the protected network. The server administrator can pull the stream through the firewall.

Enabling players to pull the stream is useful when you do not expect to have many clients viewing the stream. Windows Media Encoder allows up to five clients to connect directly to it during a broadcast. When you are enabling clients to pull the stream, you can restrict access to the content by IP address or by groups of IP addresses.

Related topics

  • Output options
  • Comparing Windows Media servers and Web servers
  • Pushing a stream from the encoder
  • Enabling clients to pull a stream from the encoder
  • Creating an announcement for a multicast
  • Restricting access to a broadcast


Pushing a stream from the encoder

When pushing a stream from the encoder, you must specify the Windows Media server to which you want to stream and the broadcast publishing point (either new or existing) you want to stream through. On the Windows Media server, you have a number of options for configuring a publishing point, including setting limits on the number of players that can view the stream, controlling access to content, and setting up logging. If you have a configuration that you want to use repeatedly, you can add a broadcast publishing point on the server, configure it to meet your needs, and then copy the settings from that publishing point each time you push a stream to the server. For more information about configuring broadcast publishing points, see Windows Media Services Help. Push distribution is only available with Windows Media Services 9 Series in Windows Server 2003.

Content can be delivered from a Windows Media server either as a multicast or a unicast stream.

Announcement required for a multicast stream

If you are planning to deliver content as a multicast stream from the server, you must create and distribute an announcement before you begin encoding. An announcement is the means by which you communicate that your content is available to players. You can use the Multicast Announcement Wizard in the encoder to create the announcement. Or, alternatively, you can create the announcement on the server. Creating the announcement on the encoder requires that you have access permission to the Windows Media Services service through the distributed version of Component Object Model (DCOM). If you make any changes to the session configuration after you have created the announcement, you must create another announcement before you begin encoding.

Accessing the Windows Media server

To push a stream to a Windows Media server, the WMS HTTP Server Control Protocol plug-in must be enabled on the server. In addition, you must have write access permissions on the server through the WMS Publishing Points ACL Authorization plug-in. You must also have create access permissions for the plug-in if you want to add the publishing point from the encoder rather than from the server. The permissions must be set at both at the server level and at the publishing point level. To configure the plug-in, you must have access to the Windows Media Services service through DCOM.

Local administrators on the server automatically have both write and create access permissions on the server.

When you begin encoding, the encoder initiates the connection with the server.

You can use the New Session Wizard or the broadcast quick start to push to a Windows Media server, or you can set up a push session on the Properties panel.

For more information about setting up a multicast or unicast stream from a Windows Media server, see Windows Media Services Help.

Related topics

  • Broadcasting content live
  • Creating an announcement for a multicast
  • To push a stream to a Windows Media server


To push a stream to a Windows Media server

  1. On the toolbar, click Properties, and then click the Output tab.
  2. Select the Push to server check box and clear the Pull from encoder check box.
  3. In Server name, type the name of the Windows Media server from which you want to distribute the content. You can use the network basic input/output system (netBIOS) name, IP address, or Domain Name System (DNS) name of the server.

    The encoder uses the HTTP protocol to stream to the server. By default, the server uses port 80 for the HTTP protocol. If the server is configured to use a different port number, the encoder must match the port number. You can either use the format Server_name:Port_number in Server name or, if you have access permissions to the Windows Media Services service through DCOM, the port number is automatically detected.

  4. In Publishing point, type the name of an existing or new publishing point you want to stream through. If you are creating a publishing point, use alphanumeric characters only. In addition, the following characters are not valid in a publishing point name: * < > \ ? % & # " { } | ^ [ ] `

    If you want to create a publishing point from the encoder, you must have create access permissions through the WMS Publishing Points ACL Authorization plug-in (at both the server and publishing point level) on the Windows Media server.

  5. If you are creating a publishing point, you can use the configuration of the default publishing point or you can choose to copy the configuration an existing publishing point to the publishing point you are creating. To do so, in Copy settings from, type the name of the existing publishing point that has the configuration you want to copy.
  6. If you want to remove the publishing point through which you are streaming after you close the encoder (or after a timeout of several minutes), select the Auto remove check box.

    The timeout enables you to stop and then restart encoding without having to create the publishing point. This is useful, for example, if you want to adjust settings in the session and then continue encoding.

Note image Note

  • If you are planning to deliver the content as a multicast stream, you must also create an announcement.

Related topics

  • Pushing a stream from the encoder
  • Creating an announcement for a multicast


Creating an announcement for a multicast

If you are pushing a stream to a Windows Media server and distributing it as a multicast stream, you must create an announcement (.asx) and multicast information (.nsc) file. The announcement is a Windows Media metafile that points players to the multicast information file. The multicast information file contains information that enables players to access and decode the multicast stream, including the IP address, port, and stream format information.

Creating an announcement

You can use the Multicast Announcement Wizard in the encoder to create the announcement, or you can create it on the Windows Media server. Creating the announcement on the encoder requires that you have access permission to the Windows Media Services service through DCOM. If you make any changes to the session configuration after you create the announcement, you must create another announcement before you begin encoding.

When you run the wizard on the encoder, you create the announcement file, multicast information file, and a Web page that contains an embedded player and a link to the announcement. You are asked to provide a name for the files and to save the files to a storage location that is accessible to players (or to a temporary location, if you plan to broadcast later.) The storage location can be either on your Web server for HTTP access or on a public share if you are providing access using a Universal Naming Convention (UNC) path. If you make the files available from your Web server, be sure to configure the Web server to either not allow caching of the file or to require a refresh check when cached by a client to prevent players from using multicast information that is outdated.

Distributing the announcement file

You have several options for making the multicast stream available to users. You can place a link to the announcement file on a Web page, make the announcement available on a shared folder, or send the announcement in an e-mail message. Users can access the announcement either by clicking the link to the announcement on a Web page or by opening the announcement directly. When a user opens the announcement file (.asx) in the player, the player extracts an URL in the announcement file; the URL points to the multicast information file. The player then downloads the multicast information file with the URL and begins playing the content.

Related topics

  • Broadcasting content live
  • To access the Multicast Announcement Wizard


To access the Multicast Announcement Wizard

  1. Set up a push session with a Windows Media server that will distribute content as multicast stream.
  2. On the Tools menu, click Announce Broadcast.
  3. Follow the instructions in the wizard to create the files for the session.

Related topics

  • Pushing a stream from the encoder
  • Creating an announcement for a multicast


Enabling clients to pull a stream from the encoder

To enable clients to pull the stream from the encoder, you simply set up a session and begin broadcasting directly from the encoder. Clients (Windows Media servers or players) can connect to the stream at any time by using the following URL format: http://IP_address:port (for Internet connections) or http://encoding_computer_name:port (for LAN connections). The encoder supports up to five direct connections during a broadcast by default. You can increase this number to 50 by editing a key in the registry. (Editing the key requires administrative credentials on the encoding computer.)

Stream format required for a multicast transmission

If you plan to deliver content as a multicast stream from a Windows Media server, the server must be able to detect the stream format from the encoder. A stream format contains information used by players to decode a multicast stream, such as the codecs, bit rates, and frame sizes; the format is stored in the header of the stream. If you start encoding before the server initiates the connection with the encoder, the server automatically detects the stream format. However, if you do not want to start encoding first, you can create a stream format file and make it available to the server administrator. The administrator can add the file to the list of supported stream formats on the server publishing point. Stream format files have an .asf extension.

Caution image Caution

  • Incorrectly editing the registry can severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

Note image Note

  • This topic focuses only on the steps you must perform with the encoder when a Windows Media server is initiating the stream. For detailed information about the steps that must be performed on the Windows Media server, see Windows Media Services Help.

Related topics

  • Broadcasting content live
  • To enable clients to pull a stream from the encoder
  • To create a stream format file
  • Comparing Windows Media servers and Web servers
  • To increase the maximum number of direct connections


To enable clients to pull a stream from the encoder

  1. On the toolbar, click Properties, and then click the Output tab.
  2. Select the Pull from encoder check box.

Related topics

  • Enabling clients to pull a stream from the encoder


To create a stream format file

  1. Set up a session that enables a Windows Media server to pull the stream from the encoder.
  2. On the Tools menu, click Generate Stream Format File.
  3. In File name, type a name and location for the file, and then click Save.
  4. Provide the file to the Windows Media server administrator.

Note image Note

  • If you change any of the settings in the encoder configuration, you must create another stream format file and distribute it to the Windows Media server administrator.

Related topics

  • Enabling clients to pull a stream from the encoder
  • To enable clients to pull a stream from the encoder


To increase the maximum number of direct connections

  1. In Registry Editor, use the tree view to navigate to the following subkey: HKEY_CLASSES_ROOT\Software\Microsoft\Windows Media Tools\Encoder\MaxClientConnections.
  2. Edit the subkey so that it reflects the maximum number of direct connections you want to allow. The maximum possible number is 50.

Caution image Caution

  • Incorrectly editing the registry can severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

Related topics

  • Enabling clients to pull a stream from the encoder


Restricting access to a broadcast

When you are enabling clients to pull a stream from the encoder, you can allow or deny access to the broadcast based on a static IP address or groups of IP addresses. By default, no clients are restricted from connecting to the broadcast. If you want to specify the clients that can connect, you can add the IP addresses to the allow list. Doing so prevents any unlisted clients from connecting. Or, if you want to prevent a specific client from accessing the broadcast, you can add that client's IP address to the deny list

If you make changes to the IP address list while encoding, your changes take effect only for clients that connect after you apply your changes. For example, if you add an IP address to the deny list while that client is connected, the client is not disconnected. However, if the client disconnects and then attempts to reconnect to the same broadcast, it is denied. If it is critical to disconnect a client immediately, you can stop encoding.

The following table provides an example of the order in which IP addresses are allowed or denied, depending on the restrictions that you set up.

Allow list | Deny list | Result
Empty | Empty | Allow all IP addresses
Empty | IP address 1 | Deny IP address 1, allow all others
IP address 1 | Empty | Allow IP address 1, deny all others
IP address 1 | IP address 2 | Allow IP address 1, deny all others
IP address 1 | IP address 1 | Deny all IP addresses
IP address 1, IP address 2 | IP address 1 | Allow IP address 2, deny all others

When you restrict access to a broadcast by IP address, you can specify both Internet Protocol version 6 (IPv6) and Internet Protocol version 4 (IPv4) addresses. IPv6 is the latest version of the Internet Protocol and was designed to accommodate the rapidly increasing demand for unique IP addresses. IPv6 increases the IP address size from 32 bits to 128 bits to support more levels of addressing hierarchy and a greater number of addressable nodes. For more information about IPv6, see the IPv6 page at the Microsoft Web site.

Note image Note

  • You can track which IP addresses are connecting to your broadcasts by enabling logging to a file on the Event log tab of the Monitor panel.

Related topics

  • Broadcasting content live
  • To grant or deny access to a broadcast


To grant or deny access to a broadcast

  1. On the Tools menu, click Broadcast Security.
  2. Do one of the following:
    • To provide access to an encoding computer, in Allow, click Add.
    • To deny access to an encoding computer, in Deny, click Add.
  3. In IP address, type the IP address of the computer for which you want to allow or deny access.

    -or-

    In IP mask, type a range of IP addresses for which you want to allow or deny access.

  4. Click Add.
  5. Repeat steps 3 and 4 until all IP addresses are added.

Related topics

  • Restricting access to a broadcast


Testing your content

It is always a good idea to test your content before providing it to users. To run a test, configure a session, and then encode some content. While the content is encoding, use the URL specified on the Connections tab of the Monitor panel to connect the player to the encoder and view the stream. Or, if you are encoding to a file, stop the encoder and then play the output file.

If you are planning to distribute your content by using a Windows Media server, you can conduct an end-to-end test. To do so, set up your Windows Media server to connect to the encoder by using the URL specified on the Connections tab of the Monitor panel.

As you view the stream, verify the following:

  • You are getting the expected frame rate.
  • Your bandwidth throughput is acceptable.
  • You are receiving an audio and video feed and the quality of each is acceptable.

For more information about streaming from a Windows Media server, see Windows Media Services Help.

Related topics

  • Output options


System configuration options

This section provides information about options you have for configuring your encoding system, including information about how you can secure the encoding computer and protect the content you are encoding, the steps you can take to achieve optimal system performance, how to run multiple instances of the encoder on a computer, and batch encoding.

Related topics

  • Windows Media Encoder
  • Security and Windows Media Encoder
  • Achieving optimal system performance
  • Best practices for compression settings
  • Running multiple encoders on one computer
  • Batch encoding


Security and Windows Media Encoder

Security considerations for Windows Media Encoder involve both security for the encoding computer and protecting the content you are encoding. To learn more about security issues relating to the encoding computer, refer to the security section of the operating system documentation.

To protect your content, use digital rights management (DRM) with the DRM Protect tool that is included with the Windows Media Encoder 9 Series x64 Edition. You can not apply DRM while encoding or broadcasting content. DRM can only be applied to encoded content. For more information, see Using the DRM Protect tool.

If you are broadcasting, you can restrict access to the encoder by IP address. In addition, you can use Internet Protocol Security (IPSec), an industry-defined set of standards that verifies, authenticates, and optionally encrypts data at the IP packet level. For more information about IPSec, see Windows Help and Support.

If you are encoding content for broadcast from a Windows Media server, see the Windows Media Services Help for information about security and the Windows Media server.

Related topics

  • System configuration options
  • Using digital rights management to protect content
  • Restricting access to a broadcast


Achieving optimal system performance

To achieve optimal system performance:

  • Use a computer with fast or multiple processors. Because high-quality encoding requires more computing power, use a computer with a fast processor or multiple processors, especially for live events. Windows Media Encoder can use up to two processors for audio, and up to four for video to efficiently distribute the encoding load. If you are using the Windows Media Video 9 codec, you can also adjust performance settings to ensure encoding success. As a general rule, if you find that you continually reach or exceed 80 percent of the CPU load (as indicated on the General tab of the Monitor panel), you may want to consider upgrading your computer.
  • Use supported audio and video cards. For a complete list of supported cards, see the Microsoft Web site.
  • Use Microsoft Windows XP Professional. Windows XP Professional takes full advantage of a multiprocessor computer by automatically spawning separate threads to enable processes to run different parts of their programs on different processors simultaneously. This parsing of the work enables you to perform high-end encoding tasks without maximizing your CPU usage.
  • Check your network bandwidth. It is rare that you will achieve 100 percent throughput when sending content over a network. For optimal results, ensure that your network can accommodate the aggregate bandwidth required by your broadcast session plus the overhead for HTTP.
  • Use a high-performance hard disk. For archiving or file conversion, use a high-performance hard disk, such as a small computer system interface (SCSI) hard disk with 15,000 rotations per minute. Using a high-performance hard disk can help to offload performance requirements from the main CPU, freeing up more processing power for encoding. In addition, it is useful to use the hard disk only for encoding purposes.
  • Keep the encoder on a dedicated computer. If you are streaming content from a server running Windows Media Services, it is recommended that you run the encoder on a separate computer from the Windows Media server.
  • Turn off video preview and postview. The Input and Output areas in the main encoder window show you what your content looks like before and after it is encoded. Turning off these displays improves encoding performance. Or, to achieve a minor performance improvement, you can reduce the views.
  • Store captured content temporarily. If you are encoding to a file while sourcing from devices, store the content to a hard disk temporarily. In addition, use a different hard disk than the one dedicated to encoding.

Related topics

  • System configuration options
  • Adjusting encoder performance settings
  • To turn off or decrease video preview
  • Improving performance when encoding screens
  • To store captured content temporarily


To turn off or decrease video preview

  1. On the View menu, click Video Panel.
  2. To turn off video preview, in Display, click Output.

    -or-

    To decrease the size of the preview, in Zoom, click 50%.

Related topics

  • Achieving optimal system performance


Adjusting encoder performance settings

Encoding is a CPU-intensive process. If you continually exceed the capabilities of your encoding computer, you can review the most recent hardware and software requirements to determine if you should upgrade to a more powerful computer. If upgrading is not feasible, however, you can adjust encoder performance settings to ensure success with encoding. (The settings only apply to sessions in which you use the Windows Media Video 9 codec.) Your performance choices are whether to place emphasis on better performance or on better quality. A better performance setting corresponds to lower CPU usage; a better quality setting corresponds to higher usage of the CPU power. Keep the following in mind when choosing performance settings:

  • If the amount of time needed to encode is not important, you can use the better quality setting. This is most appropriate for a scenario in which you are both sourcing from a file and encoding to a file. The encoder takes as much time as needed to encode.
  • If it is important that encoding keep pace with capturing, then use the better performance setting. This is appropriate for a scenario in which you are broadcasting, or for a scenario in which you are sourcing from devices and encoding to a file. For the encode-to-file scenario, you can also enable temporary storage for the captured content. With temporary storage, captured data is stored temporarily if the encoding process falls behind the capturing process.

For all of the scenarios, you may want to try different performance settings to find the balance between quality and performance for your computer. Keep in mind that other factors affect CPU usage during encoding. For example, session settings such as frame rate, bit rate, and frame size affect how much work the CPU needs to perform encoding. In addition, other programs running on the encoding computer leave less processing power for the encoder.

Related topics

  • Achieving optimal system performance
  • Hardware and software requirements
  • Encoding or archiving a broadcast to a file
  • To adjust performance settings
  • To store captured content temporarily


To adjust performance settings

  1. On the Tools menu, click Options, and then click the Performance tab.
  2. In When broadcasting, move the slider to the desired setting.
  3. In When encoding to a file, move the slider to the desired setting.

Related topics

  • Adjusting encoder performance settings


Best practices for compression settings

There is a balance between a number of compression settings. The encoder includes many predefined destination, video, and audio settings (profiles) that have already taken this balance into consideration. You can easily set up an encoding session using a predefined profile. However, if you want to customize the settings, then the following paragraphs provide information about the settings, including some of the tradeoffs to consider.

  • Buffer. A larger buffer can accommodate a better image quality, but the user must wait longer for the video to start, as a player waits to play until its buffer is filled. Typically, the buffer delay matches the time, in seconds, of the buffer size set in the encoder. However, if you plan to stream from a Windows Media server, you can set a larger buffer size in the encoder. A feature in Windows Media Services, called Fast Start, enables a player to fill its buffer faster than real time, assuming there is sufficient bandwidth. This means that the initial buffer delay may be much shorter. For example, when a user attempts to play back 56-Kbps encoded content on a DSL or cable modem, the start-up delay may be only a second or two, even if the buffer size set during encoding was much longer. For more information about Fast Start, see Windows Media Services Help.

    If you have set up a session that uses peak bit rate-based VBR encoding for audio, the peak buffer size for audio should be lower than the buffer size for video (if you are using CBR encoding for video) or peak buffer size for video (if you are using peak bit rate-based encoding for video).

  • Bit rate. A higher bit rate achieves a better image quality. If the bit rate setting is too low, the codec will drop frames to produce a higher quality image, although this may not be visible to the viewer. (Note that if you are encoding low-motion video, the actual bit rate may be significantly lower than the expected bit rate.)
  • Frame rate. There is a tradeoff between image quality and frame rate, in that as the image quality increases, the frame rate decreases. If maintaining the frame rate is more important, you can decrease the image quality setting.
  • Image quality (smoothness). You can adjust the image quality to be smoother or more clear. Increasing the clarity can affect the frame rate, depending on the video. For example, if your video contains a lot of motion, increasing the clarity may decrease the frames rate. In addition, increasing the clarity results in a higher bit rate requirement and may also necessitate increasing the buffer size.
  • Frame size. The larger the frame size, the higher the bit rate requirement.
  • Key frames. If you use a longer key frame distance, additional key frames are inserted when necessary; for example, when a scene changes. For low motion content, a setting of 20 seconds is typically appropriate. For higher bit rate content, you should lower the key frame distance.
  • Codecs. Use the appropriate codec for the session. For example, when your audio source is voice or primarily voice, use the Windows Media Audio 9 Voice codec. For a screen capture session, use the Windows Media Video 9 Screen codec.
  • Two-pass encoding. You will typically achieve higher quality with two-pass encoding, because the encoder has the opportunity to analyze the content during the first pass.
  • Video resizing. Set up the output frame size to be the same as the input frame size. Do not use the encoder to resize the source video.

Related topics

  • System configuration options
  • Achieving optimal system performance
  • Optimizing audio for voice
  • Improving performance when encoding screens
  • Understanding codecs
  • About one- or two-pass encoding
  • To match the frame size of the source video


Running multiple encoders on one computer

You can run multiple instances of Windows Media Encoder on a single computer provided the computer is powerful enough to support them. By running multiple instances of the encoder, you can:

  • Simultaneously broadcast separate streams at different bit rates.
  • Simultaneously convert multiple files to Windows Media Format.
  • Use a multiple-port device as your source, and then stream the encoded content from each port to different locations.

If you decide to run multiple encoders on one computer, keep in mind that input devices can be used by only one process at a time, so you might want to install several audio and video capture cards. For optimal performance, use a computer with two or more processors.

Related topics

  • System configuration options


Batch encoding

If you want to encode multiple audio and video files, you can use Windows Media Encoding Script, which is included with Windows Media Encoder. Or, you can automate the encoder for batch encoding by using a script and Windows Script Host.

For more information about Windows Script Host and batch encoding, see the Windows Media Encoder 9 Series SDK.

Related topics

  • System configuration options
  • About the encoder utilities


Frequently asked questions and troubleshooting

For up-to-date information about working with the encoder, see the Windows Media page at the Microsoft Web site.


Technical support options

The services and prices listed in the following table are available in the United States only. Support outside the United States may vary, the worldwide Web site listed in the table for regional contact details. Microsoft's support services are subject to Microsoft's then-current prices, terms, and conditions, which are subject to change without notice.

Item | Description
Online support information | For general questions, visit the Microsoft Web site, or in Canada, visit the Microsoft Web site. For articles targeted at specific issues, visit the Microsoft Knowledge Base. To work with a Microsoft Support Professional over the Internet, you can submit an online request form at the Microsoft Web site. For the general support policy, visit the options page at the Microsoft Web site.
Phone support | For Paid Assisted Support, call (800) 936-5700 in the United States or (800) 668-7975 in Canada. You can also call (425) 637-9308 in the United States, or (905) 568-3503 in Canada (toll charges may apply).
TTY service | Microsoft text telephone (TTY/TDD) services are available at (425) 635-4948 in Washington state or (800) 892-5234 in the United States. In Canada, call (905) 568-9641.
Worldwide | Support outside the United States and Canada may vary. For regional contact details, visit the international page at the Microsoft Web site. If there is no Microsoft subsidiary office in your country or region, please contact the establishment from which you obtained Windows Media Encoder.


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Windows Media Encoder 9 Series x64 Edition more accessible for people with disabilities:

  • Accessibility features in Windows Media Encoder x64 Edition
  • Accessibility features in Windows Media Encoder x64 Edition Help
  • Accessible products and services from Microsoft

Note image Note

  • The information in this section applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the products and services described in this section are available in your area. Accessibility information is available in other select languages, including Japanese and French. For more information, see the Microsoft Web site.


Accessibility features in Windows Media Encoder x64 Edition

In addition to accessibility features and utilities in Windows, the following feature makes Windows Media Encoder more accessible for people with disabilities:

  • Using keyboard shortcuts

Related topics

  • Accessibility for people with disabilities


Using keyboard shortcuts

By using the following keyboard shortcuts in Windows Media Encoder, you can quickly accomplish many common tasks.

To do this… | Use this keyboard shortcut…
Display context-sensitive Help. | F1
Move forward through the options on a dialog box or property sheet. | TAB
Move backward through the options on a dialog box or property sheet. | SHIFT+TAB
Scroll up one item in a spin box or drop-down list. | UP ARROW
Scroll down one item in a spin box or drop-down list. | DOWN ARROW
Scroll forward through tabs. | RIGHT ARROW
Scroll backward through tabs. | LEFT ARROW
Refresh the current dialog box or control (refresh plug-in list, refresh playlist view). | F5 or CTRL+R
Dismiss property sheet or dialog box or cancel out of a wizard. | ESC
Carry out the command for the active option or button | ENTER
Cut the selected items and copy them to the Clipboard. | CTRL+X
Copy the selected items to the Clipboard. | CTRL+C
Paste the contents of the Clipboard at the selected location. | CTRL+V
Display or hide the Session Properties panel. | ALT+ENTER
Close current window. | ALT+F4
Display shortcut menu. | SHIFT+F10
Select or clear the selection of an item. | SPACEBAR
Display context menu. | Application Key
Switch to High Contrast mode. | LEFT ALT+LEFT SHIFT+PRINT SCREEN

Related topics

  • Accessibility for people with disabilities


Accessibility features in Windows Media Encoder x64 Edition Help

Windows Media Encoder Help includes features that make it accessible to a wider range of users, including those who have limited dexterity, low vision, or other disabilities.

In addition, Windows Media Encoder Help is available on the Web at the Microsoft Web site.

Related topics

  • Accessibility for people with disabilities


Keyboard shortcuts for using the Help window

By using the following keyboard shortcuts in Help, you can quickly accomplish many common tasks.

To do this… | Use this keyboard shortcut…
Display the Help window. | F1
Switch between the Help topic and the Contents, Search, and Index tabs. | F6
Select the next hidden text or hyperlink. | TAB
Select the previous hidden text or hyperlink. | SHIFT+TAB
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink. | ENTER
Display the Options menu to access any Help toolbar command. | ALT+O
Hide or show the pane containing the Contents, Search, and Index tabs. | ALT+O, and then press T
Display the previously viewed topic | ALT+O, and then press B
Display the next topic in a previously displayed sequence of topics. | ALT+O, and then press F
Return to the specified home page. | ALT+O, and then press H
Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading). | ALT+O, and then press S
Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings. | ALT+O, and then press I
Refresh the topic (useful if you have linked to a Web page). | ALT+O, and then press R
Print all topics in a book or a selected topic only. | ALT+O, and then press P
Close the Help window. | ALT+F4

Related topics

  • Accessibility features in Windows Media Encoder x64 Edition Help


To change the appearance of a Help topic

  1. To customize the colors, font styles, and font sizes used in Help, open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Select Ignore colors specified on Web pages, Ignore font styles specified on Web pages, and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To change the colors used in Help, see To change the color of the background or text in Help. To change the font, see To change the font in Help.

Related topics

  • Accessibility features in Windows Media Encoder x64 Edition Help


To change the color of the background or text in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Then select Ignore colors specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the colors used in Help, on the General tab, click Colors. Clear the Use Windows Colors check box, and then select the font and background colors you want to use.

Note image Note

  • If you change the background color of the Help topics in the Help window, the change also affects the background color when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Encoder x64 Edition Help


To change the font in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. To use the same settings as those used in your instance of Microsoft Internet Explorer, select Ignore font styles specified on Web pages and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the font style used in Help, on the General tab, click Fonts, and then click the font style you want.

Note image Note

  • If you change the font of the Help topics in the Help window, the change also affects the font when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Encoder x64 Edition Help


Accessibility products and services from Microsoft

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Windows more accessible for people with disabilities:

  • Accessibility features of Windows
  • Documentation in alternative formats
  • Customer service for people with hearing impairments
  • For more information

Note image Note

  • The information in this section may apply only to users who license Microsoft products in the United States. If you obtained this product outside of the United States, you can use the subsidiary information card that came with your software package or visit the Microsoft Accessibility Web site for a list of telephone numbers and addresses for Microsoft support services. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Information about accessibility is available in other languages, including Japanese and French.

Related topics

  • Accessibility for people with disabilities


Accessibility features of Windows

The Windows operating system has many built-in accessibility features that are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features are installed during Setup. For more information about these features, see Help in Windows and the Microsoft Accessibility Web site.

Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials that provide detailed procedures for adjusting the accessibility options and settings on your computer. This information is presented in a side-by-side format so that you can learn how to use the mouse, the keyboard, or a combination of both.

To find step-by-step tutorials for Microsoft products, see the Microsoft Accessibility Web site.

Assistive technology products for Windows

A wide variety of assistive technology products are available to make computers easier to use for people with disabilities. You can search a catalog of assistive technology products that run on Windows at the Microsoft Accessibility Web site.

If you use assistive technology, be sure to contact your assistive technology vendor before you upgrade your software or hardware to check for possible compatibility issues.

Related topics

  • Accessibility products and services from Microsoft


Documentation in alternative formats

If you have difficulty reading or handling printed materials, you can obtain the documentation for many Microsoft products in more accessible formats. You can view an index of accessible product documentation at the Microsoft Accessibility Web site.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc (RFB&D). RFB&D distributes these documents to registered, eligible members of their distribution service. For information about the availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Telephone number from within the United States: (800) 221-4792
Telephone number from outside the United States and Canada: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind & Dyslexic Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.

Related topics

  • Accessibility products and services from Microsoft


Customer service for people with hearing impairments

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 AM and 5:30 PM Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 AM and 6:00 PM Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Related topics

  • Accessibility products and services from Microsoft


For more information

For more information about how accessible technology for computers helps to improve the lives of people with disabilities, see the Microsoft Web site.

Related topics

  • Accessibility products and services from Microsoft


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

Symbols

.prx

The file name extension of a profile file in Windows Media Encoder.

See Also:

profile

.weu

The file name extension of a configuration file used by Windows Media Encoding Script.

See Also:

configuration file

.wma

The file name extension of an audio file in Windows Media Format.

.wme

The file name extension of a Windows Media Encoder session file.

.wmv

The file name extension of a video file in Windows Media Format.

Back to Top

A

announcement

A Windows Media metafile that gives a player the information needed to receive content. Announcement files contain Extensible Markup Language (XML) scripts.

aspect ratio

The ratio of the width of an image to its height.

Audio Video Interleaved (AVI)

A digital media file format for storing sound and video.

AVI

See definition for: Audio Video Interleaved (AVI)

Back to Top

B

bandwidth

The data transfer capacity of a transmission medium.

See Also:

bit rate

bit rate

The number of bits transferred per unit of time, typically expressed in bits per second.

See Also:

bandwidth ,

multiple bit rate (MBR)

Back to Top

C

caption

Text that accompanies images or videos, either as a supplemental description or a transcript of spoken words.

CBR

See definition for: constant bit rate (CBR)

codec

An abbreviation for compressor/decompressor. Software or hardware used to compress and decompress digital media.

See Also:

compression ,

Windows Media Audio codec ,

Windows Media Screen codec ,

Windows Media Video codec

compression

A process for removing redundant data from a digital media file or stream to reduce its size or the bandwidth used.

See Also:

codec

configuration file

A text file used by Windows Media Encoding Script that specifies the content to be encoded and the command-line options to be invoked.

constant bit rate (CBR)

A characteristic of a data stream in which the bit rate remains nearly uniform for the duration of the stream.

See Also:

multiple bit rate (MBR) ,

variable bit rate (VBR)

content

Audio, video, images, text, or any other information that is contained in a digital media file or stream.

See Also:

Windows Media file

Back to Top

D

deinterlace

To combine the interlaced fields in a video frame so that, during playback, the lines of the video frame are painted sequentially.

See Also:

interlace

delta frame

A video frame that contains only the changes from the previous frame. In contrast, a key frame contains all the data necessary to construct that frame.

dynamic range

The difference (in decibels) between the quietest and loudest sounds in a single piece of audio content.

Back to Top

E

encode

To convert audio and video content to a specified digital format, usually involving compression technology or encryption technology.

Back to Top

F

frame rate

The number of video frames displayed per second. Higher frame rates generally produce smoother movement in the picture.

Back to Top

H

header

A part of the file structure that contains information required by an application to decompress and render the content. The header in a protected file also contains information required to get a license.

Back to Top

I

IEEE 1394

A high-speed serial bus standard that provides enhanced computer connectivity for a wide range of devices, including consumer electronics audio/video (A/V) appliances, storage peripherals, other computers, and portable devices.

intelligent streaming

A type of streaming that detects network conditions and adjusts the properties of a video or audio stream to maximize quality.

interlace

To display a video frame in two fields. One field contains the even lines of the frame, the other field contains the odd lines. During playback, the lines in one field are displayed first, then the lines in the second field are displayed.

See Also:

deinterlace

Internet Protocol version 6 (IPv6)

A revised version of the Internet Protocol (IP) designed to address growth on the Internet. Improvements include a 128 bit IP address size, expanded routing capabilities, and support for authentication and privacy.

inverse telecine

The process that removes the frames that were added when 24-fps film was converted to 30-fps video.

IPv6

See definition for: Internet Protocol version 6 (IPv6)

Back to Top

K

key frame

A video frame containing all the data needed to construct an image without reference to previous frames.

See Also:

delta frame

Back to Top

L

latency

The delay that occurs while data is processed or delivered.

letterbox

A video display format in which black bars appear above and below the video image while it is played. The letterbox format maintains the original aspect ratio of an image when it is displayed in a window with a different aspect ratio.

license

Data attached to protected content that describes how the content can be used.

loop

To repeat a stream continuously.

lossless compression

A process for compressing data in which information is arranged in a more concise form and restored to its original state upon decompression.

See Also:

lossy compression

lossy compression

A process for compressing data in which information deemed unnecessary is removed and cannot be recovered upon decompression. Typically used with audio and visual data in which a slight degradation of quality is acceptable.

See Also:

lossless compression

Back to Top

M

marker

A text string that is associated with a designated time in Windows Media-based content. Markers often denote convenient points to begin playback, such as the start of a new scene.

MBR

See definition for: multiple bit rate (MBR)

See Also:

bit rate

metadata

Data about data. Title, subject, author, and size are examples of a file's metadata.

multicast

A content delivery method in which a single stream is transmitted from a media server to multiple clients. The clients have no connection with the server. Instead, the server sends a single copy of the stream across the network to multicast-enabled routers, which replicate the data. Clients can then receive the stream by monitoring a specific multicast IP address and port.

multichannel audio

An audio reproduction system that processes several, typically more than two, channels of sound. For example, 5.1 multichannel audio refers to a surround sound system in which there are five primary channels and a subwoofer channel.

multiple bit rate (MBR)

A characteristic of a data stream in which the same content is encoded at several different bit rates in order to optimize content delivery.

See Also:

constant bit rate (CBR) ,

variable bit rate (VBR)

Back to Top

N

National Television Standards Committee (NTSC)

The dominant television standard in the United States and Japan. NTSC delivers 30 interlaced frames per second at 525 lines of resolution.

NTSC

See definition for: National Television Standards Committee (NTSC)

Back to Top

O

one-pass encoding

An encoding method in which content is analyzed and compressed in the same pass through the encoder.

See Also:

two-pass encoding

Back to Top

P

PAL

See definition for: Phase Alternating Line (PAL)

PCM

See definition for: pulse code modulation (PCM)

Phase Alternating Line (PAL)

The dominant television standard in Europe and China. PAL delivers 25 interlaced frames per second at 625 lines of resolution.

pixel format

The size and arrangement of pixel color components. The format is specified by the total number of bits used per pixel and the number of bits used to store the red, green, blue, and alpha components of the color of the pixel.

postroll

To extend the amount of encoded video by a specified number of frames.

preroll

To capture or play a number of video frames or a portion of audio data before encoding or rendering begins, in order to allow the source device to stabilize. Also used as a noun to describe the portion of the data to be prerolled.

profile

A group of settings that match content type and bit rate with appropriate audio and video codecs.

Profile Editor

A tool provided with Windows Media Encoder that creates and edits the encoding profiles.

See Also:

profile

publishing point

An organized memory location that translates a client request for content into the physical path on the server hosting the content. A publishing point essentially acts as a redirector.

pull

To deliver data to a client only upon client request.

pulse code modulation (PCM)

A technique for digitizing audio into an uncompressed format by assigning a value to the amplitude of the signal at fixed intervals.

push

To deliver data to a client without a client request for the data.

Back to Top

R

RGB

A color model that describes color information in terms of the red (R), green (G), and blue (B) intensities that make up the color.

Back to Top

S

sampling

The process of measuring the amplitude of an analog signal at regular intervals for the purpose of converting the signal into a digital format.

sampling rate

The frequency of sampling. The higher the sampling rate (that is, the more samples taken per unit of time), the more closely the digitized result resembles the original.

See Also:

sampling

script commands

Named data that is associated with a designated time in Windows Media-based content. The data can be used by players to perform a specific action such as displaying a Web page.

source

Audio and video content that can be captured and encoded from devices installed on your computer or from a file.

stream

Digital media that is in the process of being delivered in a continuous flow across a network.

stream format

Information about the properties of a stream, such as the codecs used, frame rate, and frame size. A player uses stream format information to decode a stream.

stream format file

A file used by a player to decode a multicast stream.

See Also:

stream format

Back to Top

T

telecine

The film-to-video conversion system that adds frames to video to compensate for the differences in frame rates between film and video.

time code

A digital signal applied to a stream. The signal assigns a number to every frame of video, representing hours, minutes, seconds, and frames.

two-pass encoding

An encoding method in which content is analyzed in one pass through the encoder, after which compression is applied in the second pass. See also one-pass encoding.

Back to Top

U

UDP

See definition for: User Datagram Protocol (UDP)

UNC

See definition for: Universal Naming Convention (UNC)

unicast

A method used by media servers for providing content to connected clients in which each client receives a discrete stream. No other client has access to that stream.

Universal Naming Convention (UNC)

The full name of a resource on a network. It conforms to the \\servername\sharename syntax, where servername is the name of the server and sharename is the name of the shared resource. UNC names of directories or files can also include the directory path under the share name, with the following syntax: \\servername\sharename\directory\filename.

User Datagram Protocol (UDP)

A connectionless transport protocol in the TCP/IP protocol stack that is used in cases where some packet loss is acceptable, for example, with digital media streams.

Back to Top

V

variable bit rate (VBR)

A characteristic of a data stream in which the bit rate fluctuates, depending upon the complexity of the data.

See Also:

constant bit rate (CBR) ,

multiple bit rate (MBR)

VBR

See definition for: variable bit rate (VBR)

Back to Top

W

Windows Media Audio codec

A codec used to compress and decompress audio streams.

See Also:

Windows Media Screen codec ,

Windows Media Video codec

Windows Media file

A file that contains audio, video, or script data. The content of the file is encoded with one of the Windows Media codecs.

Windows Media Format

The format of a digital media file or stream that was encoded with Windows Media codecs.

See Also:

codec

Windows Media metafile

In Windows Media technologies, a file that provides information about Windows Media files and their presentation. File name extensions for Windows Media metafiles include .asx, .wax, .wvx, .wmx, and .nsc.

Windows Media Screen codec

A codec used to compress and decompress sequences of computer screen images.

See Also:

Windows Media Video codec

Windows Media Video codec

A codec used to compress and decompress video streams.

See Also:

Windows Media Audio codec ,

Windows Media Screen codec

Back to Top

Y

YUV

A color model that describes color information in terms of its brightness (luminance, or Y), and color (chrominance, or U and V).

Back to Top


Video size

Crop, resize, and preserve the pixel aspect ratio of your source video.

  • Crop. Click a default method by which to crop your input video, or click Custom to crop the video manually. The cropped width and height must each have an even number of pixels (for example, 300 x 320 pixels, rather than 300 x 321 pixels).

    When you source from a file, the encoder can detect the size of the source video before encoding begins; when you source from devices or screen captures, the input size cannot be detected before encoding. For this reason, when sourcing from devices or screen captures, you should specify the input size when you crop and resize video. When you do so, the encoder will detect the actual input size when encoding begins. If the actual input size is different than the size you specified, the percentage of cropping you specified (rather than the actual pixel values) will be applied to the actual input size.

    When you apply your changes to the session but have not yet begun encoding, the precropped image is displayed in the Input area on the Video panel of the main encoder window. (Unless you are sourcing from a capture device that supports hardware cropping, in which case, the cropped image is displayed.) During encoding, the cropped image is displayed in both the Input and Output areas.

  • Pixel aspect ratio. Select a value that corresponds to the aspect ratio of your source or select Custom. The encoded output will match the aspect ratio you specify. (For the DV and anamorphic options, the values represent the frame aspect ratio and the pixel aspect ratio, in parentheses.) This box is made available if you selected the Allow nonsquare pixel output check box in the Custom Encoding Settings dialog box accessed from the Compression tab.
  • Resize. If you are sourcing from video content for which the input size can be detected (file source), click Auto to have the video resize automatically based on the cropping you have done and the bandwidth availability specified in the profile. (When you source from devices, Auto works the same as No resizing.) Click No resizing if you want the output image to match the dimensions of the cropped input image. Click Same as profile if you want the output image to be stretched to match the dimensions specified in the bit rate tab. (To access the bit rate tab, click the Compression tab, click Edit, and then click the tab for the bit rate you are resizing.) If you are encoding MBR content, you can choose the bit rate that you want to resize from the Bit rate list, and then you can resize each bit rate separately. (You can only change the bit rate if you have selected the Custom or Same as profile resize options.)

Related topics

  • Cropping and resizing video before encoding


Cancelled announcement

If you are planning to distribute content as a multicast stream from the server running Windows Media Services, you must first create an announcement for the stream. If you have access permission to the Windows Media Services service through DCOM, you can use the Multicast Announcement Wizard in the encoder to create the announcement; otherwise, you must create the announcement on the Windows Media server. For information about creating an announcement by using the encoder, see Creating an announcement for a multicast. For information about creating an announcement on the server, see Windows Media Services Help.

If you are planning to distribute content as a unicast stream from the Windows Media server, you do not need to create an announcement.


HTTP format required

An HTTP URL has the format http://Web_server_name.


UNC format required

A UNC path has the format \\computer_name\folder_name.


Publish Files

Specify the temporary location for the files. After completing the Multicast Announcement Wizard, you can store the files on your Web server and then begin streaming the broadcast.


Creating an announcement

You have created a publishing point that will distribute content as a multicast stream from the server running Windows Media Services. Before you can begin streaming from the server, you must create an announcement for the stream. You can use the Multicast Announcement Wizard in the encoder to create the announcement; otherwise, the you must create the announcement on the Windows Media server. For information about creating an announcement using the encoder, see Creating an announcement for a multicast. For information about creating an announcement on the server, see Windows Media Services Help.


Starting archiving during a broadcast

If you set up archiving before you start encoding a broadcast session, archiving starts automatically when you start encoding. However, if you decide to start archiving after you start encoding a broadcast session, you must manually start archiving by clicking Start Archiving on the Control menu.


Audio panel

The Audio panel contains controls for monitoring and adjusting the volume of the audio stream you are encoding. The controls include:

  • Recording-level meter. Displays a visual representation of the sound level of your content as it is encoded. As the sound level increases, the color of the meter changes from green to yellow to red. Recording at too high (mostly in the red) or too low (mostly in the green) of a level will give you unsatisfactory results. For best results, try to keep your recording level constant.
  • Recording-level control. This control is similar to the master recording-volume control available in the mixer application that comes with your audio card. Move the slider to adjust the audio level of the content you are encoding. When you adjust this control in the encoder, the control in your mixer application is adjusted simultaneously. If your audio card drivers do not support a master recording-volume control, this control is not available.
  • Mute button. Click to silence the audio track while encoding. Your capture card determines the availability of this button. If your card does not have a mute control, the Mute button on the encoder is not available.
  • Mixer button. Click to adjust the volume for various inputs, including a camera, microphone, and CD. You can also use the master control to adjust the volume of all inputs. Clicking the Mixer button launches the recording mixer application that comes with your capture card. The Mixer button is available only if you have selected an audio device.


Format is not valid

At least one setting in this session is not compatible with the codec being used. For example, the codec may require the width and height of the source (or output, if you are cropping) video to have even dimensions. Or, the selected audio format is not compatible with the codec. For example, if you are using the Windows Media Audio 9 Professional codec with the quality-based VBR encoding mode, the highest possible quality setting is 98. Or the audio format uses 5.1 channels, but the source audio is two channels. To change the audio format, on the Compression tab of the Properties panel, click Edit. Then click the bit rate tab and, in Audio format, select an audio format from the list.


Change cropping margins

The cropped height and width of the video must each be more than 16 pixels.


Type a publishing point name

Type the name of an existing or new publishing point you want to stream through.

Related topics

  • Pushing a stream from the encoder


Multicast announcement may be required

If you are planning to distribute content as a multicast stream from a server running Windows Media Services, you must first create an announcement for the stream. If you have access permission to the Windows Media Services service through DCOM, you can use the Multicast Announcement Wizard in the encoder to create the announcement; otherwise, you must create the announcement on the Windows Media server. For information about creating an announcement by using the encoder, see Creating an announcement for a multicast. For information about creating an announcement on the server, see Windows Media Services Help.

If you are planning to distribute content as a unicast stream from a Windows Media server, you do not need to create an announcement.


Configure devices

Any devices that you are using in the current session are listed here. Devices that you have installed on your computer but you are not currently using are not displayed. Devices can be used by only one source per session.

To edit the properties for a device, select the device, click Configure, and then edit the properties as necessary. The properties that you can edit depend on the brand of device you are using.

Note image Note

  • Screen-capture devices are not listed. You can configure screen-capture devices in the Properties panel.


Completing the Announcement Wizard

Click Finish to complete the wizard. The wizard may create the following types of files:

  • Multicast information file (.nsc). The file that contains the stream format information and multicast address.
  • Announcement file (.asx). The redirector file that points the player to the multicast information file.
  • (Optional) Web page (.htm). The Web page with the embedded player and a link to the announcement file.


Compression settings for multichannel audio

When encoding multichannel audio, you must use the Windows Media Audio 9 Professional or Windows Media Audio 9 Lossless codec and an audio format that supports multiple channels.

Related topics

  • Sourcing from multichannel audio files


Compression settings for screen captures

When capturing screens, you should use a screen capture profile. The profile uses settings that are optimized for screen capture, such as the Windows Media Video Screen codec. To use a screen capture profile, click the Compression tab. In Destination, click either Windows Media server or Web server, and then click Screen capture.

You have a number of options for configuring the encoding session and your computer to improve performance when capturing screens. For more information, see Improving performance when encoding screens.


Connections tab

The Connections tab lists the IP addresses of all clients currently connected to the encoder when you are broadcasting directly from it. Clients may include Windows Media servers, Web servers, or players.

Click Copy Internet URL or Copy LAN URL to copy the IP address or LAN URL of the encoding computer to a player. The player uses the URL to connect to the encoder so you can test the stream.


Create Files

Provide a name for the files that are created through the wizard. All files will have the same name, but the appropriate file name extension will be appended to the file name. At the least, the wizard creates an announcement file (.asx) and a multicast information file (.nsc). The announcement file is a Windows Media metafile that points players to the multicast information file. The multicast information file contains information that allows players to access and decode the multicast stream, including the IP address, port, and stream format information.

Select whether to create a Web page (.htm) that contains a link to the announcement and an embedded player.


Setup

Use this dialog box to select the device you want to use in this device control session.


Device panel

The Device panel contains buttons that you can use to control a device for which you have enabled device control.

Related topics

  • Enabling device control
  • Setting up an EDL


Device settings

This dialog box provides you with advanced options when setting up an EDL.

  • Preroll. Specifies the number of frames, relative to the mark-in time, that you want your device to start playing before encoding begins. Prerolling the tape stabilizes the tape so that no lines, jitters, or other artifacts resulting from the startup of the device are encoded. Prerolling should occur before startup latency, so consider the latency of your system as you calculate the number of preroll frames to use.
  • Stop latency. Specifies the number of frames, relative to the mark-out time, that you want encoding to continue. This ensures that the encoder captures the last frame of your clip before shutting down.
  • Startup latency. Specifies the number of frames, relative to the mark-in time, that you want the encoder to start encoding. This setting compensates for the latency that occurs after the start command is issued, but before encoding actually begins. You will have to experiment with your system to determine its latency in frames. After you determine the length of that delay in frames, you can start the encoder early, relative to your mark-in point, by that number of frames. For example, if your computer starts encoding after 10 frames, and you want to start encoding at frame 1, then you would set a startup latency of -9 (9 frames before you actually need it to start).
  • Video format. Specifies the format of the source video.


DRM privacy

To create or edit a digital right management (DRM) profile, you are accessing a third-party provider over the Internet. As part of creating the profile, the third-party provider may require you to provide personal information, such as billing information. Before providing any information, it is recommended that you confirm that the provider's Web site has a secure connection.

After you have finished creating or editing the profile, you can use the profile to protect content during encoding.

Related topics

  • Using digital rights management to protect content


Edit decision list

This dialog box enables you to specify, by time stamp, the exact place within your audio or video content that you want encoding to begin and end.

In the Device area, click the play button to start playing the content from your device. Use the fast-forward or rewind buttons or click Prev Frame and Next Frame to find the desired frame for your start or end point.

Choose Slowest, Slow, Normal, Fast, or Fastest to set the seeking speed of your device. Your device may not support all of the listed speeds. If you know the time stamp of the frame that you want, type it in Seek to and then click Go!.

To rearrange the order of the EDL entries, click the arrow buttons.

When you have completed setting up the EDL, you can encode by clicking Start encoding on the toolbar.


EDL tab

The EDL tab displays the mark-in and mark-out times for all the clips in your EDL. The percent complete statistic for each clip in the list is also displayed.


Event log tab

The Event Log tab lists all the events that have occurred during the current encoding session.

If you choose to log to a file, you must specify a file name for the log file. If you stop and then restart encoding, new events are appended to the log file.

When the maximum size of the log file (1,024 characters) is reached, the log file stops logging events. To resume logging, you must create a log file by clearing and then selecting the Log to file check box.


General tab

The General tab displays the following information:

  • Input. Identifies the currently selected source.
  • Encoding. Provides information about the encoding settings used in the session, whether the content has been protected with DRM, the size of the video image, whether any preprocessing filters are applied, the bit rate, the expected and actual (average) frame rate, and the total number of script commands inserted into the stream.
  • Output. For encode (or archive) to file sessions, lists the file being created. For broadcasts, lists the broadcast port and number of clients connected. For broadcasts through a Windows Media server, lists the URL used by clients to connect to the broadcast from the server.
  • Progress. Identifies the amount of time elapsed since encoding started. For file sources, identifies the estimated time remaining to encode the content and the percentage complete.
  • System. Identifies the amount of space remaining on your hard disk, the percentage of your CPU resources used for the session, and the amount of time remaining until your hard disk is full.


Output

Select an option for distributing content:

  • Push to a Windows Media server. Select if you want the encoder to initiate the connection to a server running Windows Media Services by using the HTTP protocol. You must provide the server name and publishing point name. If the publishing point does not already exist on the server, it is created automatically, depending on if you have the correct access permissions to the Windows Media server. (If you are creating a publishing point, use alphanumeric characters only. In addition, the following characters are not valid in a publishing point name: * < > \ ? % & # " { } | ^ [ ] `). To use properties that are already set in another publishing point, you can type the name of the existing publishing point in Copy settings from (optional). Click Auto remove to remove the publishing point from the server after you quit the encoder or after a timeout of several minutes occurs. (The timeout enables you to stop and then restart encoding without having to create the publishing point. This is useful, for example, if you want to adjust settings in the session and then continue encoding.)
  • Pull from the encoder. Select if you want a Windows Media server or player to initiate the connection to the encoder by using the HTTP protocol. By default, port 8080 is used. The encoder supports up to five direct connections. The Connections tab of the Monitor panel lists the URLs clients can use to connect to the encoder.
  • Encode to a file. Select if you plan to distribute the content at a later time or you want to archive a copy of a broadcast. You can limit the size or duration of the file. The limit is applied to the output file, rather than the source file. If limiting the file size, type the desired size followed by a K (kilobytes), M (megabytes), or G (gigabytes). If limiting the file duration, enter the duration of the output file in hours, minutes, and seconds. By default, the file is indexed at each key frame, which enables users to play content at a specific point by using the seek feature in a player. You can change when the encoder warns you that disk space is low; the default is one megabyte. In Warn on low disk space, type a number followed by K, M, or G for kilobytes, megabytes, or gigabytes, respectively.

    Note image Note

    • If you limit the duration of your output file and also use the time compression feature in the session, then your output file might contain more or less content than you expected. For example, if you chose to limit the output file to 30 minutes and then chose to accelerate the playback of the file by a factor of 2, the output file will last 30 minutes but contain 60 minutes of content.

Related topics

  • Output options
  • Applying time compression to your content


Custom encoding settings--general

banner art

Custom encoding settings—general

View or modify general settings for the profile.

  • Name and Description. If you are creating a profile, type a name for the profile. Do not include an asterisk (*) in the name. The description is optional.
  • Language. Select the language for the content. (The default is the language set on the encoding computer.) If you encode content in different languages, users can select their language during playback.
  • Import and Export. To import an existing profile for editing, click Import. Profiles have a .prx file name extension. To save your changes to a profile, click Export.
  • Media types. Specify the combination of source types you want this profile to support. If you select scripts, you can insert script commands into a stream while encoding. Each source type consumes part of the bandwidth used when you encode. Select the VBR mode you want to use for audio and video from the list. To use one-pass CBR encoding, click CBR. (To use two-pass CBR encoding, you must also select the Two-pass encoding check box on the Compression tab.) You can also select the codecs you want to use. Note that not all codecs support the VBR modes or two-pass CBR encoding.
  • Bit rates. Lists the bit rates that are currently selected (except for quality-based VBR encoding because it is not possible to determine the bit rate in advance). To create a different bit rate for your content, click Add. (For the VBR encoding modes, this option is not available if there is an existing bit rate in the list.) To customize a bit rate, select a bit rate, and then click Edit. You must select at least one bit rate.
  • Video format. Specify the format of your source video (either NTSC or PAL). If you change the frame rate or video size to a nonstandard setting, the format is automatically selected as Custom.
  • Allow interlaced processing. Select if your content is interlaced and you want the encoded output to remain interlaced. (You must also select the Maintain interlacing option on the Processing tab.)
  • Allow non-square pixel output. Select if the source video uses rectangular pixels (for example, if your source is from digital video), or if the source video has an aspect ratio that differs from 4:3 and you want to retain the aspect ratio in the encoded output. You can control the aspect ratio on the Video Size tab.

Related topics

  • NTSC and PAL standard settings
  • About CBR or VBR encoding
  • Optimizing video and audio
  • Preserving the pixel aspect ratio of video


Compression

Select the destination and video and audio settings that you want to use in this encoding session.

  • Destination, Audio, and Video. Select the distribution scenario you are targeting. Your selection determines the settings that are available in Audio and Video. The combination of your choices determines what settings (for example, the encoding mode, amount of compression, codecs, bit rate, and frame rate) are used in the session. The collection of these settings is called the profile. To customize the profile or to import or export a profile, click Edit.
  • Bit rates. Lists the bit rates that are currently selected. (Or, for the File archive and File download destinations, the video quality setting is displayed.) If Windows Media Server is selected in Destination, you can click more than one bit rate to set up a multiple-bit-rate session.
  • Two-pass encoding. Automatically selected depending on the destination you choose in a session. You can also select two-pass encoding if you want to set up a two-pass constant bit rate (CBR) encoding session. Keep in mind that two-pass encoding is not suitable in certain situations.
  • Time compression. Select to speed up or slow down your content during playback. To set the amount of acceleration or deceleration for the content or to remove pauses from the audio, click Properties. It is not possible to apply time compression to a video-only source.

    If you use time compression in conjunction with the Limit By Duration option on the Output tab, remember that the limit is placed on the output file and not the source. Consequently, your output file might contain more or less content than you expected. For example, if you chose to limit the output file to 30 minutes and then chose to accelerate the playback of the file by a factor of 2, the output file will last 30 minutes but contain 60 minutes of content.

Related topics

  • About one- or two-pass encoding
  • Applying time compression to your content


Sources

Add new sources to the current encoding session, edit the properties of existing sources, or remove sources that you do not want to include in the session.

  • Name. Type a name for the source. Click Remove if you no longer want to include the source in the session. (Note that a session must include at least one source.)
  • Source from. Select the source (devices, file, or both), then choose the source type to encode (video, audio, and scripts). If you are encoding from a digital device, your device must be turned on or it will not be displayed in the list of devices. After you assign a device to a source, you cannot use it for any other source in the session.
  • At end. If you have multiple sources in your session, select the action you want to occur when the end of a source is reached. (This option is only available when the source is a file with either an .avi, .wav, .wmv, .or wma file name extension) You can choose to loop a source, roll to the next source in the list when the end of the source is reached, or roll to the first source in the list when the end of the source is reached. By default, encoding stops when the end of a source is reached.
  • Mark in/out (file sources only). Click to specify where in the file you want to start and end encoding.
  • Archiving. If you are encoding a broadcast, have chosen to archive a copy of it, and have multiple sources in your session, click the archive option you want for each source. For example, you might want to archive the main event and pause archiving during the intermission.

You can add sources before or after you begin encoding. To rearrange the order in which your sources are displayed in the main window of the encoder, select a source, and then click the up arrow button Up arrow or down arrow button Down arrow .

Related topics

  • Sourcing from a file


Quality-based VBR tab

The following settings are applicable to a profile that uses quality-based VBR encoding.

  • Audio format. Click the quality level you want to maintain for the audio content. This setting also determines the sampling rate and whether the audio is intended for playback on mono or stereo speakers. A higher-quality setting yields higher-quality audio but increases the size of the output file.
  • Video size. Type the size (in pixels) you want to use for the encoded video. Use numbers from 16 through 2000. The frame size of the encoded video will be resized to match the size you specify. Select the Same as video input check box to match the frame size of the source video.
  • Frame rate. Type the number of frames per second (fps) for the video content. The amount that you adjust this value to depends on the speed of your computer processor and whether you are encoding high-motion or low-motion video. High-motion video generally looks smoother if you use a higher frame rate, but a higher frame rate increases the amount of work the processor must perform. The setting you specify represents the maximum fps. Depending on factors such as the video size and codec quality setting, the actual fps you achieve might be lower.
  • Key frame interval. Type the number of seconds that you want to separate key frames. All frames between key frames are delta frames, which are considerably smaller than key frames but have poor visual quality. If you increase the time between key frames, the size of the video (in bytes) gets smaller because fewer key frames are used. If you decrease the time between key frames, the size of the video increases. Increase the key frame interval for content with a static background, such as cartoons. Decrease the key frame interval for high-motion content, such as a sporting event.
  • Video quality. Specify the image quality that you want to maintain by typing a value from 0 through 100. While encoding, the bit rate is adjusted as necessary to achieve the quality level that you specify without dropping any frames. Currently, there are 30 discrete quality settings, so several quality levels refer to each quality setting. The following quality levels equate to discrete quality settings: 1, 4, 8, 11, 15, 18, 22, 25, 29, 33, 36, 40, 43, 47, 50, 54, 58, 61, 65, 68, 72, 75, 79, 83, 86, 90, 93, 97, and 100. The numbers between two values equate to the same quality setting as the lower number. For example, 2 and 3 both equate to the same quality setting as 1.
  • Decoder complexity. If you are targeting a hardware device other than a computer, you can specify a category of complexity for the content being encoded. Some hardware devices only support certain categories. (Refer to the documentation for your device for more information.) Note that the Complex option is intended for playback on computers. Typically, you should select Auto, which enables the correct complexity setting to be selected automatically during encoding.
  • Script bit rate. Type the bit rate (in bits per second) that you want to use for scripts. The value must be between 1,000 bps and 10,000 bps. Type K for kilobits.


Attributes

Attributes are a collection of optional entries, also called metadata, that provide information about your content. The attributes are included in the encoded stream and can be extracted by search tools or custom applications that are built on the Microsoft Windows Media Format Software Development Kit (SDK). Default attributes include the title, author, copyright, and description of your content. These attributes are displayed when your content is played in Windows Media Player and any other player programs built on the Windows Media Format SDK. You can create custom attributes, such as the date that the content was edited, the name of your producer, and so on. Custom attributes are not displayed in Windows Media Player but can be extracted by using search tools or other custom programs that are built using the Windows Media Format SDK.

Click Add to create an attribute. To edit or delete an attribute, select an attribute from the list, and then click Edit or Remove respectively.


Add bit rate

Type a bit rate, in bits per second. Type K for kilobits, M for megabits, or G for gigabits. Keep in mind that the actual bit rate will be somewhat higher than the number you specify because overhead is added to the bit rate.


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2005 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, Windows Server, Active Directory, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, FrontPage, HighMAT, JScript, Microsoft Press, MSN, Outlook, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Windows Media, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

This product contains graphics filter software; this software is based in part on the work of the Independent JPEG Group.

All other trademarks are property of their respective owners.

The links in this area will let you leave Microsoft's site. The linked sites are not under the control of Microsoft and Microsoft is not responsible for the contents of any linked site or any link contained in a linked site, or any changes or updates to such sites. Microsoft is not responsible for webcasting or any other form of transmission received from any linked site. Microsoft is providing these links to you only as a convenience, and the inclusion of any link does not imply endorsement by Microsoft of the site.


Two-pass encoding from devices

You can use two-pass encoding when sourcing from devices if you have done the following:

  • Enabled device control
  • Chosen to encode to a file
  • Chosen to store content temporarily
  • Set up an EDL for the content

Related topics

  • Enabling device control


Encoder does not support file transfer

The loaded session file was created by a file transfer program. The encoder does not support file transfer. Therefore, to encode content with this session file, you should use the file transfer program that created the session file.


Must choose an output option

The encoded content must be saved to a file or broadcast.

Related topics

  • Output options


Type a server name

Type a valid Windows Media server name. You can use the network basic input/output system (netBIOS) name, IP address, or Domain Name System (DNS) name of the server.

Related topics

  • Pushing a stream from the encoder


NTSC and PAL standard settings

The following table provides information about the frame rates and video sizes that are compatible with the NTSC standard.

Setting | Possible values
Frame rate in frames per second (fps) | 60, 30, 15, 10, and 7.5
Frame size | 160 x 120 176 x 120 240 x 180 320 x 240 352 x 240 640 x 480 720 x 480

The following table provides information about the frame rates and video sizes that are compatible with the PAL standard.

Setting | Possible values
Frame rate in fps | 50, 25, 12.5, 8.3, and 6.25
Frame size | 176 x 144 192 x 144 288 x 216 352 x 288 384 x 288 720 x 576 768 x 576

Related topics

  • Custom encoding settings—general


Optimizing performance

You have a number of options for achieving optimal system performance when encoding.

Related topics

  • Achieving optimal system performance


Peak bit rate-based VBR tab

The following settings are applicable to a profile that uses peak bit rate-based VBR encoding.

  • Audio format. Click a setting for the audio content. The setting determines the target audio bit rate, sampling rate, and also whether the audio is intended for playback on mono or stereo speakers. A higher sampling rate yields higher-quality audio but requires more bandwidth or results in a larger file. Ideally, you want to achieve the right balance between bit rate and sampling rate.
  • Audio peak bit rate. Type the peak bit rate that you want to use for the audio content. While encoding, the encoder determines the audio quality that can be achieved without exceeding the peak bit rate.
  • Audio peak buffer size. Type the maximum buffer size (in seconds) that the client should wait before playing the content that was encoded at the peak audio bit rate. If you are encoding for playback on a hardware device, type the buffer size, in seconds, corresponding to the buffer size on that device. The default peak buffer size is 3 seconds. For best results, this number should always be equal to or lower than the buffer size (if you are using CBR encoding for the video) or peak buffer size for video (if you are using peak bit rate-based encoding for the video).
  • Video size. Type the size (in pixels) you want to use for the encoded video. Use numbers from 16 through 2000. The frame size of the encoded video will be resized to match the size you specify. Select the Same as video input check box to match the frame size of the source video.
  • Frame rate. Type the number of frames per second (fps) for the video stream. The amount that you adjust this value to depends on the speed of your computer processor and whether you are encoding high-motion or low-motion video. High-motion video generally looks smoother if you use a higher frame rate, but a higher frame rate increases the amount of work the processor must perform. The setting you specify represents the maximum fps; the actual fps might be lower.
  • Key frame interval. Type the number of seconds that you want to separate key frames. All frames between key frames are delta frames, which are considerably smaller than key frames but have poor visual quality. If you increase the time between key frames, the size of the video (in bytes) gets smaller because fewer key frames are used. If you decrease the time between key frames, the size of the video increases. Increase the key frame interval for content with a static background, such as cartoons. Decrease the key frame interval for high-motion content, such as a sporting event.
  • Video bit rate (average). Type the average bit rate (in bits per second) you want to use for the video portion of your content. Type K for kilobits, M for megabits, or G for gigabits. At any point, the bit rate may exceed the average bit rate but the overall bit rate will not exceed the average bit rate.
  • Video peak bit rate. Type the peak bit rate (in bits per second) that you want to use for the video content. While encoding, the encoder determines the image quality that can be achieved without exceeding the peak bit rate. If you are encoding for playback on a hardware device, such as a DVD player, type the reading speed of the hardware device.
  • Video peak buffer size. Type the maximum buffer size (in seconds) that the client should wait before playing the content that was encoded at the peak video bit rate. If you are encoding for playback on a hardware device, type the buffer size, in seconds, corresponding to the buffer size on that device. The default peak buffer size is 5 seconds.
  • Decoder complexity. If you are targeting a hardware device other than a computer, you can specify a category of complexity for the content being encoded. Some hardware devices only support certain categories. (Refer to the documentation for your device for more information.) Note that the Complex option is intended for playback on computers. Typically, you should select Auto, which enables the correct complexity setting to be selected automatically during encoding.
  • Script bit rate. Type the bit rate (in bits per second) that you want to use for scripts. The value must be between 1,000 bps and 10,000 bps. Type K for kilobits.


Per bit rate settings, audio-only streams

The following settings are applicable to a profile that encodes an audio-only stream.

Click a setting for the audio content. A higher sampling rate yields higher-quality audio, but requires more bandwidth.

For audio that you are encoding by using peak bit rate-based VBR encoding, type the peak bit rate (in bits per second) that you want to use for the audio content. Type K for kilobits, M for megabits, or G for gigabits. While encoding, the encoder determines the audio quality that can be achieved without exceeding the peak bit rate. Also type the peak buffer setting.


Per bit rate settings, CBR tab

The following settings are applicable to a profile that uses CBR encoding.

  • Audio format. Click a setting for the audio content. This setting determines the target audio bit rate, sampling rate, and whether the audio is intended for playback on mono or stereo speakers. A higher sampling rate yields higher-quality audio but requires more bandwidth or results in a larger file. Ideally, you want to achieve the right balance between bit rate and sampling rate. Remember that the audio stream must share the available network bandwidth with any video or script streams.
  • Video size. Type the size (in pixels) you want to use for the encoded video. Use numbers from 16 through 2000. The frame size of the encoded video will be resized to match the size you specify. Select the Same as video input check box to match the frame size of the source video.
  • Frame rate. Type the frames per second (fps) for the video stream. The amount that you adjust this value to depends on the speed of your computer processor and whether you are encoding high-motion or low-motion video. High-motion video generally looks smoother if you use a higher frame rate, but a higher frame rate increases the amount of work the processor must perform. The setting you specify represents the maximum fps. Depending on factors such as the video size setting and available bandwidth, the actual fps you achieve might be lower.
  • Key frame interval. Type the number of seconds that you want to separate key frames. All frames between key frames are delta frames, which are considerably smaller than key frames but have poor visual quality. If you increase the time between key frames, the size of the video (in bytes) gets smaller because fewer key frames are used. If you decrease the time between key frames, the size of the video increases. Increase the key frame interval for content with a static background, such as cartoons. Decrease the key frame interval for high-motion content, such as a sporting event.
  • Video bit rate. Type the bit rate (in bits per second) you want to use for the video portion of your content. Type K for kilobits, M for megabits, or G for gigabits. The amount does not include the overhead required to accommodate network traffic. Remember that the video stream must share the available network bandwidth with any audio or script streams.
  • Buffer size. Type the number of seconds that you want content to be stored before encoding begins. A larger buffer results in better quality content, but requires more memory. When you encode content, the encoding process is delayed by the amount of time specified in the buffer; the content is also delayed by the same amount of time when streaming to a player. When streaming a broadcast, the content played in the Player runs behind the live event by the amount of time that you specify in Buffer size. The default buffer size is 5 seconds.
  • Video smoothness. Type a number from 0 through 100, with 0 yielding the smoothest image and 100 yielding the clearest image. Video appears smooth when objects move easily from one position to another on the screen and the edges of objects are not jagged. Video appears clear when images and motion are well-defined and clearly delineated. As you increase the clarity, the video becomes less smooth. Keep in mind that increasing the clarity can affect the frame rate, depending on the video. For example, if your video contains a lot of motion, increasing the clarity may decrease the frames per second.
  • Decoder complexity. If you are targeting a hardware device other than a computer, you can specify a category of complexity for the content being encoded. Some hardware devices only support certain categories. (Refer to the documentation for your device for more information.) Note that the Complex option is intended for playback on computers. Typically, you should select Auto, which enables the correct complexity setting to be selected automatically during encoding.
  • Script bit rate. Type the bit rate (in bits per second) that you want to use for scripts. The value must be between 1,000 bps and 10,000 bps. Type K for kilobits.


Plug-ins

Select which transform plug-ins you want to use with the sources in a session.

  • Source list. Choose the source to which you want to add the plug-in. (Only necessary for multisource sessions.)
  • Transform plug-in type. Click Audio or Video to view the transform plug-ins currently installed and registered on the encoding computer.
  • Register. Click to display the Register/Unregister Transform Plug-ins dialog box. The dialog box displays the transform plug-ins that are currently installed on the encoding computer be displayed. You must register the plug-in before you can use it. To register a plug-in, select it in the dialog box and then click OK.
  • Move right and Move left. Click the Move right button (>>) to add a plug-in to a source. Click the Move left button (<<) to remove a plug-in from a source. Use the up and down arrow buttons to rearrange the order in which the plug-ins are applied to the source.
  • Configure. Click to edit the properties of the selected plug-in.

    Caution image Caution

    • The Register/Unregister Transform Plug-ins dialog box lists all transform plug-ins that are available on the encoding computer. Some of the plug-ins may not be appropriate for use with the encoder and may have unexpected results if you attempt to use them with the encoder.


Security

To use digital rights management to protect your content you must use the DRM Protect tool. You can not apply DRM while encoding or broadcasting content. DRM can only be applied to encoded content. For more information, see Using the DRM Protect tool.

Related topics

  • Using digital rights management to protect content


Broadcast password

Type your user name and password to access the Windows Media server. You must provide these credentials when pushing a stream to a Windows Media server that has an authentication plug-in enabled.


Publish Files

If you are ready to begin streaming the content when you complete the wizard, you can save the files directly to a shared folder. If you are not yet ready to stream the content, you can save the files to a temporary location. Then, before you begin streaming, you can copy the files to the shared folder.


Broadcast security

Windows Media Encoder supports up to five direct connections to a broadcast. You can restrict access to a broadcast either by identifying which IP addresses you want to access the broadcast or by identifying which IP addresses you do not want to access the broadcast.

Related topics

  • Restricting access to a broadcast


Register plug-in

This dialog box lists the plug-ins that are available on your computer. Not all of the plug-ins are appropriate for usage with Windows Media Encoder.

You must have administrative credentials on the encoding computer to register a plug-in.


Script panel

The Script panel contains controls you can use to insert script commands such as captions (text strings), URLs, and custom script commands into the stream while encoding. The Total scripts entry on the Monitor panel increases with each script that you insert.


Broadcast security

Windows Media Encoder allows up to five direct connections during a broadcast. You can specify which computer or range of computers is allowed to access the encoder. To allow or deny access to individual computers, use the IP address. To allow or deny access to a range of computers, use the IP mask.

When you restrict access to a broadcast by IP address, you can specify both Internet Protocol version 6 (IPv6) and Internet Protocol version 4 (IPv4) addresses. IPv6 is the newest version of the Internet Protocol and was designed to accommodate the rapidly increasing demand for unique IP addresses. IPv6 increases the IP address size from 32 bits to 128 bits to support more levels of addressing hierarchy and a greater number of addressable nodes. For more information about IPv6, see the IPv6 page at the Microsoft Web site.

In a range of addresses, each bit in an IP mask is compared to the corresponding bit in the IP address. When the value in the mask is 1, the corresponding bit in the IP address is included in the range. When the value in the mask is 0, any value is acceptable. For example, in decimal notation, if the IP address in the list is 134.123.123.20 and the mask is 255.255.255.0, all IP addresses from 134.123.123.0 to 134.123.123.255 are included in the range. If the mask is 255.255.255.128, all IP addresses from 134.123.123.0 to 134.123.123.127 are included in the range. If you specify an invalid mask, the IP address is ignored.


Performance tab

If you continually exceed the capabilities of your encoding computer while encoding, you can use the settings on this tab to ensure success with encoding. You can choose whether to place emphasis on better performance or on better quality for your content. A better quality setting corresponds to higher usage of the CPU power; a better performance setting corresponds to lower CPU usage. The settings apply to sessions that use the Windows Media Video 9 or Windows Media Video 8.1 codec.

It may be necessary to experiment with the settings to find the balance between quality and performance. Select the Use defaults check box if you want to return to the settings used by the codecs.

You can apply changes to all sessions or you can change settings for the current session only.

Note image Note

  • You have a number of other options for achieving optimal performance while encoding.

Related topics

  • Achieving optimal system performance


Server tab

The Server tab displays status information about a Windows Media server when you are pushing a stream through a Windows Media server. Also informs you of the number of players currently connected to the Windows Media server (for unicast streams only).

You must have access permission to the Windows Media Services service through DCOM to receive the status information.


Advanced

Change the encoder name, use a custom packet size, create a time code, or enable temporary storage for content.

  • Identification name. An encoder name is assigned automatically but you can edit the name if necessary. The name is used to help differentiate encoders when you have multiple instances running on the same computer.
  • Maximum packet size. Specifies the maximum size in bytes of User Datagram Protocol (UDP) packets that stream across the network. This setting applies to single bit rate content that is streamed from a Windows Media server. The default maximum packet size is 16,000 bytes. The actual packet size is calculated during encoding. If you are finding that packets are getting lost or fragmented during the broadcast, you can use Custom to reduce the maximum size of the packets. Note that if you are encoding audio content at very high bit rates, you may exceed the maximum packet size.
  • Time code. Select if you want to enable frame-level seeking. You can preserve the time code already present in the source video or create a time code. If you are creating a time code, you can type the time that you want the time code to start at in the format hh:mm:ss:fm; in addition, you can select the format of the source video, such as NTSC.
  • Store content to hard disk temporarily. When capturing from devices to a file, data can be captured to temporary storage if encoding cannot keep up with the capture process. Select the Capture to hard disk first, then encode check box to capture all data in one step and then encode in a second step. This prevents frames from being dropped when capturing a large amount of data. Encoding stops when the minimum free disk space is reached. Storing an hour of data captured from a digital device requires approximately 15 GB of storage space. Encoding will stop automatically when the low disk space amount is reached.

Related topics

  • Encoding or archiving a broadcast to a file


General tab

The following options affect the appearance of the main window of the encoder. Many of the options are selected by default, but you can change them as necessary to suit your needs.

  • Automatically show panels needed for the current session. Select to display panels in the main encoder window based on the selections you make when running New Session Wizard. Clear this check box if you want to use the View menu in the main encoder window to select the panels that are displayed.
  • Resize main window when video is zoomed too large. Select to resize the main encoder window to accommodate enlarging the Input and Output displays. If you clear this check box, it may cause the displays to be partially obscured. This setting has no effect on the encoded size of the image.

    Note image Note

    • Large input and output displays can negatively affect CPU performance during encoding.
  • Minimize encoder window during screen capture. Select to minimize the encoder automatically when you are capturing a screen. For an encode-to-file session, restoring the encoder window pauses the encoder. For a broadcast session, encoding continues, even if you restore the encoder window.
  • Warn before stopping encoding. Select to send a warning message each time you stop the encoder.
  • Show New Session dialog box at startup. Select to display the dialog box when you start the encoder. The New Session dialog box offers you a choice of wizards or templates for assistance in setting up your session.
  • Show Encoding Results dialog box when encoding stops. Select this check box to automatically display the Encoding Results dialog box when you have finished encoding. If you clear this check box, you can view results by clicking Encoding Results on the View menu.
  • Show all tips. Click this button if you want tips to be displayed.
  • Default video format. Select the video format (NTSC or PAL) you want to use when encoding. This option applies to the destination, video, and audio settings that appear on the Compression tab of the Properties panel.


Processing

Select which options you want to use for preprocessing content to improve the quality of the encoded content.

Video

  • None. Click if you do not want to apply any preprocessing filters to your content. You should only use this option if your content is already in progressive-scan display format.
  • Deinterlace. Click to separate the interlaced fields of your video into individual frames, which can result in a smoother-looking video.
  • Inverse telecine. If your source video was telecined, click to remove the extra frames that were added during telecining. Click Auto to have the telecine pattern be detected automatically. If the telecine pattern in your content is coherent, in the list, click the setting that corresponds to the first frame in the source video.
  • Maintain interlacing. Click if your source video is interlaced and you want to preserve the interlacing in the encoded video.
  • Detect. Click if you do not know whether your content was interlaced or telecined. The encoder analyzes the content and recommends the appropriate filter to apply.
  • Pixel format. Select a pixel format that you want to use.
  • Flip vertically. Select if your video is upside-down. Upside-down video can result from using a capture device to create .avi files that do not fully conform to published specifications. Upside-down video is usually related to the pixel format the device uses.

Audio

  • Voice codec optimization. If you are using the Windows Media Audio 9 Voice codec, you can optimize the codec behavior by identifying if the content is voice only or if it also contains some music. Click Audio with voice emphasis if your content contains both voice and music. During encoding, the codec automatically uses the appropriate algorithm to optimize encoding for the content (voice or music). Or, you can create an optimization definition file that optimizes the audio by identifying the places in your file where music starts and ends.
  • 5.1 audio. If you are encoding multichannel audio content, the channels are automatically folded down to two channels for playback with stereo speakers. However, you can use the settings in this area to customize the fold-down distribution. The values you specify are not absolute values. Instead, the overall gain of the channels will be normalized to avoid distortion. The values you type must be between 0 and -144 decibels. (This option is not available when you are encoding 7.1 audio.)

Related topics

  • Optimizing video and audio
  • Sourcing from multichannel audio files


Sources panel

The Sources panel lists each source in the current session. You can switch between sources while encoding by clicking the appropriate source button.


Statistics tab

The Statistics tab displays information about both the input and output audio and video, including the number of channels and sampling rate, frame rate, frames dropped, average bit rate, and so on.


Stopping while encoding the second pass

The current encoding session is using two-pass encoding. If you stop encoding now, the second pass will not be completed, and the encoded content may not be valid.

Related topics

  • About one- or two-pass encoding


Generating a stream format file

A stream format file contains information a player needs to decode a multicast stream. You only need to generate this file if you want to wait to begin encoding until after the server initiates the connection with the encoder. (If you begin encoding before the server initiates the connection with the encoder, it is not necessary to generate a stream format file, because the server automatically detects the stream format.) After generating the file, you must deliver the file to the server administrator. As part of setting up the multicast announcement for the broadcast, the server administrator identifies the file as containing the stream formats for the stream. A stream format file has an .asf file name extension.

Related topics

  • Enabling clients to pull a stream from the encoder


Script panel

This panel is displayed when you have configured an encoding session to use the script source type. To add scripts to your session, use the Sources tab of the Properties panel.

Related topics

  • Inserting script commands


Sources panel

This panel is displayed when you have configured an encoding session that has multiple sources. You can switch between the sources during encoding.


Bit rate-based VBR tab

The following settings are applicable to a profile that uses bit rate-based VBR encoding.

  • Audio format. Click a setting for the audio content. The setting determines the target audio bit rate, sampling rate, and also whether the audio is intended for playback on mono or stereo speakers. A higher sampling rate yields higher-quality audio, but results in a larger file.
  • Video size. Type the size (in pixels) you want to use for the encoded video. Use numbers from 16 through 2000. The frame size of the encoded video will be resized to match the size you specify. Select the Same as video input check box to match the frame size of the source video.
  • Frame rate. Type the number of frames per second (fps) for the video stream. The amount that you adjust this value to depends on the speed of your computer processor and whether you are encoding high-motion or low-motion video. High-motion video generally looks smoother if you use a higher frame rate, but a higher frame rate increases the amount of work the processor must perform. The setting you specify represents the maximum fps; the actual fps might be lower.
  • Key frame interval. Type the number of seconds that you want to separate key frames. All frames between key frames are delta frames, which are considerably smaller than key frames but have poor visual quality. If you increase the time between key frames, the size of the video (in bytes) gets smaller because fewer key frames are used. If you decrease the time between key frames, the size of the video increases. Increase the key frame interval for content with a static background, such as cartoons. Decrease the key frame interval for high-motion content, such as a sporting event.
  • Video bit rate (average). Type the average bit rate (in bits per second) you want to use for the video portion of your content. Type K for kilobits, M for megabits, or G for gigabits. At any point, the bit rate may exceed the average bit rate but the overall bit rate will not exceed the average bit rate.
  • Decoder complexity. If you are targeting a hardware device other than a computer, you can specify a category of complexity for the content being encoded. Some hardware devices only support certain categories. (Refer to the documentation for your device for more information.) Note that the Complex option is intended for playback on computers. Typically, you should select Auto, which enables the correct complexity setting to be selected automatically during encoding.
  • Script bit rate. Type the bit rate (in bits per second) that you want to use for scripts. The value must be between 1,000 bps and 10,000 bps. Type K for kilobits.


URL to the Files

The files must be accessible to players, so they must be placed either on your Web server for access through HTTP or on a shared folder if you are providing access by using a UNC path. If you specify a UNC path, the player must have at least read permission to the path.


Video panel

The Video panel displays the content you are encoding. Depending on the type of content, you can customize the display to show just the pre-encoded content, the encoded content, or both. You cannot view pre-encoded content in the Input area when:

  • You are capturing a screen.
  • You are using the deinterlacing feature with .avi or .mpg files.
  • You are using a Windows Media file with a .wmv or .asf extension as your input and it has the same properties as the output.
  • You are using a video capture card that does not support the previewing of an image before it is encoded.
  • You have chosen to store content to hard disk temporarily, and have chosen to capture to hard disk first, then encode. (However, the content will be displayed when you stop encoding.)

You cannot view encoded content in the Output area when:

  • You are using a screen capture profile or uncompressed profile.
  • You are using a Windows Media file with a .wmv or .asf extension as your input and it has the same properties as the output.
  • You are using two-pass encoding and the encoder is on the first pass.
  • You have chosen to store content to hard disk temporarily, and have chosen to capture to hard disk first, then encode. (However, the content will be displayed when you stop encoding.)

Note image Notes

  • The video shown in the Output area might look blockier than it does when played on Windows Media Player because the Player contains deblocking filters, which are not available in the Output area. The blockiness is normal and does not affect the quality of the encoded content.
  • If you are encoding a video for multiple bit rates, you can check the quality of it at each bit rate by selecting the desired bit rate from the Preview box.


Encoding results

This dialog box displays information about the session that was just encoded, including the type of encoding (broadcast or encode to file), selected devices, and expected and average bit rates achieved during the encoding session. The results give you immediate feedback on how the session went, which is useful for testing purposes. For example, you might decide to reduce the bit rate after reviewing the average bit rate for an encoding session. You could change the session configuration, encode the content again, and then view the summary results to determine whether you achieved the desired bit rate.


Error log

The list displays the error messages you received during the encoding session along with the date and time that they occurred. To clear the log manually, click Clear Now. The error log is cleared each time you restart the encoder and is only available from the encoder user interface.


Working with the Multicast Announcement Wizard

If you are delivering content as a multicast stream through a server running Windows Media Services, you must create an announcement (.asx) and multicast information (.nsc) file. You must have access permission to the Windows Media Services service through DCOM to create the files on the encoding computer. If you do not have access permission to the service, you must create the files on the server.

If you are delivering content as a unicast stream through a Windows Media server, you do not need to create an announcement.